function [legn, vvf, vinff] = costFunction1_MODP_vdep(legn, vvf, vinff, vdep, sigma)

% --> compute the two objectives
vinfd    = legn(:,3);
dv1      = (vinfd - vdep).*(vinfd - vdep >= 0);
tofs     = (legn(:,end) - legn(:,2));
dvtot    = sum( [ dv1 legn(:,6:3:end-2) ] , 2);

TOFyn    = tofs./365.25;
costTOTn = dvtot + sigma.*tofs;

% --> put them into the cost matrix
COSTmatrix = [ TOFyn costTOTn ];

% --> compute the Pareto front
[PARETO_FRONT] = paretoFront_MODP( COSTmatrix );

% figure('Color', [1 1 1]); hold on; grid on;
% xlabel('Time of flight - years'); ylabel('\Delta v - km/s');
% plot( COSTmatrix(:,1), COSTmatrix(:,2), 's', 'MarkerSize', 10, 'MarkerFaceColor', 'Green', 'HandleVisibility','off');
% plot( PARETO_FRONT(:,1), PARETO_FRONT(:,2), 'o', 'MarkerFaceColor', 'Red', 'DisplayName', 'Non-dominated solutions');
% legend('Location','best');
% % close all; 

% --> save only those on Pareto front
rows  = PARETO_FRONT(:,3);
legn  = legn(rows,:);
vvf   = vvf(rows,:);
vinff = vinff(rows,:);

end
