function [str] = wrap_generate_T0_TOFS_ASTRA(seq, T0, tstep, runOpts, TOF_LIM)

legs = fromSeq2Legs(seq);  % --> find legs from the sequence

str = struct('leg', [], 'T0', [], 'TOFS', [], 'step', []);
for indl = 1:size(legs)
   
    pl1  = legs(indl,1);
    pl2  = legs(indl,2);
    Nrev = runOpts(indl,1:2);
    
    [TOFS, ~, ~, tst] = wrap_TOFs(pl1, pl2, Nrev, tstep, TOF_LIM, indl);
    TOFS = TOFS';
    
    % --> solve LP
    couples = zeros(length(T0) * length(TOFS) , 2);
    indt = 1;
    for indt0 = 1:length(T0)
        t1 = T0(indt0);
        for indttof = 1:length(TOFS)
            tof             = TOFS(indttof);
            t2              = t1 + tof;
            couples(indt,:) = [t1 t2];
            indt            = indt + 1;
        end
    end
    
    str(indl).leg  = legs(indl,:);
    str(indl).T0   = T0;
    str(indl).TOFS = TOFS;
    str(indl).step = tst;
    
    T0 = update_T2(T0, TOFS);
    
end

end