function [LEGSnext] = nextLeg_back(LEGS, legsf, indleg, tolDSM, Nrev, tstep, TOF_LIM)

mu     = 132724487690;

pl2    = legsf(indleg,1);
pl1    = legsf(indleg,2);

tofs   = TOF_per_LEGS_ASTRA(pl1, pl2, Nrev, tstep, TOF_LIM, indleg);

[muPL, radius] = planetConstants(pl2);
rpmin          = maxmin_flybyAltitude(pl2) + radius;

LEGSnext   = zeros(size(LEGS,1)*length(tofs), size(LEGS,2)+10);
indlegnext = 1;
for indl = 1:size(LEGS,1)
    
    indl/size(LEGS,1)*100;
   
    legprev = LEGS(indl,:);
    
    t2  = legprev(8);
    tt1 = t2 - tofs;
    
    [rr2, vv2] = EphSS_car(pl2, t2);
    
    for indt = 1:length(tt1)
       
        [rr1, vv1] = EphSS_car(pl1, tt1(indt));                                         % --> first planet
        [vi, vf]   = lambertMR(rr1, rr2, (t2 - tt1(indt))*86400, mu, Nrev(1), Nrev(2)); % --> solve the Lambert problem
        
        vvinfa       = vf - vv2;
        vinfa        = norm(vvinfa);
        legprev(9)   = vinfa;
        legprev(4:6) = vi;
        
        vvinfd       = legprev(14:16) - vv2;
        
        dv           = findDV(vvinfa, vvinfd, muPL, rpmin);
        legprev(20)  = dv;
        
        if dv <= tolDSM(1)
            if indleg == size(legsf,1)
                vec         = vi;
                vinf_d      = norm(vi - vv1);
                dv_d        = 0;
                legprev(10) = 0;
            else
                vec    = [NaN NaN NaN];
                vinf_d = NaN;
                dv_d   = NaN;
            end
            LEGSnext(indlegnext,:) = [rr1 vec pl1 tt1(indt) vinf_d dv_d...
                                      legprev];
            indlegnext             = indlegnext + 1;
        end
        
    end
end
LEGSnext = LEGSnext(~all(LEGSnext == 0, 2),:);

end