function [PLTS] = generateTargets(planetsList, plIN, rp, ra)

ecc = abs((rp - ra)/(rp + ra));

PLTS = zeros(1, length(planetsList));
for indi = 1:length(planetsList)
   
    % assume the min RP defines the circular orbit for the given planet
    [~, ~, ~, rpMin, raMin] = planetConstants(planetsList(indi));

    if ecc >= 1 % only control the periapsis
        
        if (rp <= rpMin) || abs(rp - rpMin)<1e-6
            PLTS(indi) = planetsList(indi);
        elseif (rp <= raMin) || abs(rp - raMin)<1e-6
            PLTS(indi) = planetsList(indi);
        end
        
    else % control both periapsis and apoapsis
    
        if (rp <= rpMin && ra >= rpMin) || abs(rp - rpMin)<1e-6 || abs(ra - rpMin)<1e-6
            PLTS(indi) = planetsList(indi);
        elseif (rp <= raMin && ra >= raMin) || abs(rp - raMin)<1e-6 || abs(ra - raMin)<1e-6
            PLTS(indi) = planetsList(indi);
        end
    
    end
    
end
PLTS(PLTS == 0) = [];
PLTS            = unique([PLTS plIN]);

end