function [LEGS_succ] = successiveLeg(LEGSprev, tolDSM, Nrev, planetsList, idxsave, maxleg, planetT)

% DEVI AGGIUNGERE:
% - se sei all'ultima leg, allora il plT deve essere per forza il planet
% target (e non gli altri)

vvIN = LEGSprev(:,end-6:end-4);
plIN = LEGSprev(:,end-3);
tIN  = LEGSprev(:,end-2);

% computing the leg number (nleg)
nleg = length(LEGSprev)/10;

% evaluate achievable planets
PLTS = generateTargetPlanets(vvIN, plIN, tIN, planetsList);

LEGS_succ = zeros(size(LEGSprev,1)*1000*length(PLTS), (nleg + 1)*10);
rownext = 1;

if nleg == maxleg
    
    indxs = find(PLTS == planetT);
    
    if ~isempty(indxs)
        
        plT = planetT;
        
        % semi-automatic tof generation
        [tofs] = tofGeneration(plIN, plT, Nrev);

        if plT > 4 && Nrev(1) > 0 % only zero revs. if Jupiter and Saturn
            LEGSnext = zeros(1, (nleg + 1)*10);
        else
            LEGSnext = computeLegs_v2(plT, LEGSprev, tofs, tolDSM, Nrev, nleg);
            % per ogni opzione che trovi per ciascun pianeta, sava solo le prime idxsave
            LEGSnext = sortrows(LEGSnext, size(LEGSnext,2));
            if size(LEGSnext,1) >= idxsave
                LEGSnext = LEGSnext(1:idxsave,:);
            end
        end
        
        LEGS_succ(rownext:rownext-1+size(LEGSnext,1),:) = LEGSnext;
        rownext = rownext + size(LEGSnext,1);
        
    end
    
else

    for indpl = 1:length(PLTS)

        plT   = PLTS(indpl);

        % semi-automatic tof generation
        [tofs] = tofGeneration(plIN, plT, Nrev);

        if plT > 4 && Nrev(1) > 0 % only zero revs. if Jupiter and Saturn
            LEGSnext = zeros(1, (nleg + 1)*10);
        else
            LEGSnext = computeLegs_v2(plT, LEGSprev, tofs, tolDSM, Nrev, nleg);
            % per ogni opzione che trovi per ciascun pianeta, sava solo le prime idxsave
            LEGSnext = sortrows(LEGSnext, size(LEGSnext,2));
            if size(LEGSnext,1) >= idxsave
                LEGSnext = LEGSnext(1:idxsave,:);
            end
        end

        LEGS_succ(rownext:rownext-1+size(LEGSnext,1),:) = LEGSnext;
        rownext = rownext + size(LEGSnext,1);


    end

end
% eliminate rows all equal to zero
LEGS_succ = LEGS_succ(~all(LEGS_succ == 0, 2),:);

end