function [MAT_2] = applyBeamWidth_totalDV(MAT_2, bw)

% --> apply the BS w.r.t. the total DV for the given route

% --> delete those options which are out of the beam width
[~, DVS]   = seq2Cost_MOBS(MAT_2);
DVS        = [ sum(DVS,2) [1:1:length(DVS)]' ];
DVSsort    = sortrows(DVS, 1); % sort w.r.t. the total DSM

if bw < size(DVSsort, 1)
    % --> apply pruning
    indxsToDelete = DVSsort(bw+1:end,2);
    MAT_2(indxsToDelete,:) = [];    
end

end