function [LEGS, dtAMB, TOFs, REVS] = onlyBestDVtot_dtAMB(LEGS, REVS, param)

% --> for all the same dep. dates, save the one with min DV and max dtAMB

% --> compute dtAMB for previous legs
dtAMB = wrap_time_AMB(LEGS, param);

% --> compute the cost
[~, DVS, ~, vInfDeps] = seq2Cost(LEGS);
dvtot = sum([vInfDeps DVS],2);

deps  = unique(LEGS(:,8));
tDEPS = LEGS(:,8);

leg_to_save = zeros(size(deps,1),size(LEGS,2));
rev_to_save = NaN.*zeros(size(deps,1),size(REVS,2));
for indd = 1:size(deps,1)
       
    indxs = find(tDEPS == deps(indd));
    temp  = [LEGS(indxs,:) dtAMB(indxs,:) dvtot(indxs,:) indxs];
    
    % --> first order by dtAMB and then by DVtot
    temp(:,end-2)       = -temp(:,end-2);
    temp                = sortrows(temp, [size(temp,2)-2 size(temp,2)-1]); 
    temp(:,end-2)       = -temp(:,end-2);
    leg_to_save(indd,:) = temp(1,1:end-3);
    rev_to_save(indd,:) = REVS(temp(1,end),:);
    
end

REVS = rev_to_save;
LEGS = leg_to_save;
TOFs = LEGS(:,end-2) - LEGS(:,8);

% --> update the dtAMB
dtAMB = wrap_time_AMB(LEGS, param);

% --> check if you exceeded the maxDur
indxs          = find(TOFs > param.maxDur);
LEGS(indxs,:)  = [];
REVS(indxs,:)  = [];
TOFs(indxs,:)  = [];
dtAMB(indxs,:) = [];


end