function [STRUC_NEW] = process_STRUC_AMB(STRUC)

tDEP  = unique([STRUC.tDEP]', 'stable');
tDEPS = [STRUC.tDEP]';

TO_SAVE = zeros(length(tDEP),1);
for ind = 1:length(tDEP)
    indxs        = find(tDEPS == tDEP(ind));
    vInfDep      = [STRUC(indxs).vInfDep]';
    tofAMB       = [STRUC(indxs).tofAMB]';
    mat          = [-vInfDep -tofAMB indxs];
    mat          = sortrows(mat, [2 1]); % --> first sort by tofAMB then by vInfDep
    mat(:,1:2)   = -mat(:,1:2);    
    TO_SAVE(ind) = mat(1,end);
end

STRUC_NEW = STRUC(TO_SAVE);

STRUC_NEW(1).meanDT_AMB = mean([STRUC_NEW.tofAMB]');
STRUC_NEW(1).maxDT_AMB  = max([STRUC_NEW.tofAMB]');
STRUC_NEW(1).minDT_AMB  = min([STRUC_NEW.tofAMB]');

end