function [dtAMB, T, yyAMB, yy, tt, yypruned, ttpruned] = time_AMB(rr, vv, rcMIN, rcMAX, tof)

mu = 132724487690;

if nargin == 4
    kep = car2kep([rr vv], mu);
    T   = 2*pi*sqrt(kep(1)^3/mu);
else
    T = tof;
end

tt      = unique([[0:5*86400:T]'; T]);
[~, yy] = propagateKepler(rr, vv, tt, mu);
rrs     = vecnorm(yy(:,1:3)')';

yyAMB  = yy(rrs >= rcMIN & rrs <= rcMAX,:);
TAMB   = tt(rrs >= rcMIN & rrs <= rcMAX);
D      = diff(TAMB)./86400;
D(D>5) = [];
dtAMB  = sum(D);
T      = T / 86400;

if nargout > 2
    indxs1 = find(rrs < rcMIN);
    if isempty(indxs1)
    else
        yypruned = yy(indxs1,:);
        ttpruned = tt(indxs1,:);
    end

    indxs2 = find(rrs > rcMAX);
    if isempty(indxs2)
    else
        yypruned = yypruned(indxs2,:);
        ttpruned = ttpruned(indxs2,:);
    end
end

end