function [minMaxTOF_ASTRA] = minMaxTOF_ASTRA_seq(seq, opt, RES)

mu = 132724487690;

runOpts = generateDiffRuns(opt, RES);

minTOF_A = zeros(length(seq)-1,1);
maxTOF_A = zeros(length(seq)-1,1);
for indi = 1:length(seq)-1
   
    pl1 = seq(indi);
    pl2 = seq(indi+1);
    
    Nrev = runOpts(indi,:);
    
    if Nrev(3) == 0 % --> no resonance
        [~, minTOF_A(indi,:), maxTOF_A(indi,:)] = ...
            TOF_per_LEGS_ASTRA(pl1, pl2, Nrev, 2, [], indi);
    else % --> resonance
        res = Nrev(3:4);
        [~, ~, smapl] = planetConstants(pl1); % --> planet semi-major axis
        Tpl = 2*pi*sqrt(smapl^3/mu);          % --> period of the planet
        Tsc = res(1)/res(2)*Tpl;              % --> period of the SC
        minTOF_A(indi,:) = Tsc/86400;
        maxTOF_A(indi,:) = Tsc/86400;
    end
    
end
minMaxTOF_ASTRA = [minTOF_A maxTOF_A];

end
