/*
 * Academic License - for use in teaching, academic research, and meeting
 * course requirements at degree granting institutions only.  Not for
 * government, commercial, or other organizational use.
 * File: sortrows.c
 *
 * MATLAB Coder version            : 5.2
 * C/C++ source code generated on  : 12-Jan-2022 11:22:09
 */

/* Include Files */
#include "sortrows.h"
#include "mergesort.h"
#include "paretoFront_emxutil.h"
#include "paretoFront_types.h"
#include "rt_nonfinite.h"

/* Function Declarations */
static void apply_row_permutation(emxArray_real_T *y,
                                  const emxArray_int32_T *idx);

/* Function Definitions */
/*
 * Arguments    : emxArray_real_T *y
 *                const emxArray_int32_T *idx
 * Return Type  : void
 */
static void apply_row_permutation(emxArray_real_T *y,
                                  const emxArray_int32_T *idx)
{
  emxArray_real_T *ycol;
  int i;
  int j;
  int m;
  int n;
  emxInit_real_T(&ycol, 1);
  m = y->size[0] - 1;
  n = y->size[1];
  j = ycol->size[0];
  ycol->size[0] = y->size[0];
  emxEnsureCapacity_real_T(ycol, j);
  for (j = 0; j < n; j++) {
    for (i = 0; i <= m; i++) {
      ycol->data[i] = y->data[(idx->data[i] + y->size[0] * j) - 1];
    }
    for (i = 0; i <= m; i++) {
      y->data[i + y->size[0] * j] = ycol->data[i];
    }
  }
  emxFree_real_T(&ycol);
}

/*
 * Arguments    : emxArray_real_T *y
 * Return Type  : void
 */
void sortrows(emxArray_real_T *y)
{
  emxArray_int32_T *idx;
  int i;
  int loop_ub;
  int n;
  emxInit_int32_T(&idx, 1);
  n = y->size[0];
  i = idx->size[0];
  idx->size[0] = y->size[0];
  emxEnsureCapacity_int32_T(idx, i);
  loop_ub = y->size[0];
  for (i = 0; i < loop_ub; i++) {
    idx->data[i] = 0;
  }
  if ((y->size[0] == 0) || (y->size[1] == 0)) {
    for (loop_ub = 0; loop_ub < n; loop_ub++) {
      idx->data[loop_ub] = loop_ub + 1;
    }
  } else {
    b_mergesort(idx, y, y->size[0]);
  }
  apply_row_permutation(y, idx);
  emxFree_int32_T(&idx);
}

/*
 * File trailer for sortrows.c
 *
 * [EOF]
 */
