function [PARETO_FRONT, PARETO_UNIQUE] = generateParetoFront(LEGSnext, biased)

% PARETO_FRONT matrix :
% - first column  : time of flighs (years)
% - second column : DVs (km/s) = vInfDep + DSMs + vInfArr
% - third column  : indexes of LEGSnext row (each row is a sequence)

if biased(1) == 0
    [PARETO_FRONT] = seq2Cost(LEGSnext);
else
    [PARETO_FRONT] = biasedCOST(LEGSnext, biased(2), biased(3), biased(4));
end

idxs         = [1:1:size(PARETO_FRONT,1)]';
PARETO_FRONT = [PARETO_FRONT idxs];

% sort first by TOF and then by DV
PARETO_FRONT       = sortrows(PARETO_FRONT, [1 2]);
[~, uniqueIndeces] = unique(PARETO_FRONT(:, 1), 'first');

% extract the Pareto front
PARETO_FRONT  = PARETO_FRONT(uniqueIndeces,:);
PARETO_UNIQUE = PARETO_FRONT;

[ PARETO_FRONT_2, idxs] = paretoFront( PARETO_FRONT(:,1:2) );
PARETO_FRONT            = [PARETO_FRONT_2(:,1:2) PARETO_FRONT(idxs,3)];

end