function [PARETO_FRONT, PARETO_UNIQUE] = generateParetoFront_MOBS(LEGSnext)

% PARETO_FRONT matrix :
% - first column  : time of flighs (years)
% - second column : DVs = DSMs (km/s)
% - third column  : indexes of LEGSnext row (each row is a sequence)

PARETO_FRONT = seq2Cost_MOBS(LEGSnext);

idxs         = [1:1:size(PARETO_FRONT,1)]';
PARETO_FRONT = [PARETO_FRONT idxs];

% sort first by TOF and then by DV
PARETO_FRONT       = sortrows(PARETO_FRONT, [1 2]);
[~, uniqueIndeces] = unique(PARETO_FRONT(:, 1), 'first');

% extract the Pareto front
PARETO_FRONT  = PARETO_FRONT(uniqueIndeces,:);
PARETO_UNIQUE = PARETO_FRONT;

[ PARETO_FRONT_2, idxs] = paretoFront( PARETO_FRONT(:,1:2) );
PARETO_FRONT            = [PARETO_FRONT_2(:,1:2) PARETO_FRONT(idxs,3)];

end