function [fig, rrpl, vvpl] = plotPLTS(pl, tpl)

mu = 132724487690;
AU = 149597870.7;

fig = figure;
axis equal; grid on;
xlabel('x - AU'); ylabel('y - AU');

for indi = 1:length(pl)

    PL  = pl(indi);
    TPL = tpl(indi);
    [rrpl, vvpl] = EphSS_car(PL, TPL);
    
    T  = 2*pi*sqrt((-mu/(2*(0.5*(norm(vvpl))^2 - mu/norm(rrpl))))^3/mu);
    tt = TPL:1:(TPL+T/86400+10);
        
    for indt = 1:length(tt)
        [rrpl(indt,:), vvpl(indt,:)] = EphSS_car(PL, tt(indt));
    end
    
    hold on;
    plot3(rrpl(:,1)./AU, rrpl(:,2)./AU, rrpl(:,3)./AU, 'k', 'linewidth', 0.5, 'handlevisibility', 'off');
    
end

end