function fig = plotParetos(groups_40, groups_50, groups_60, groups_70)

indleg = 1;

close all; clc;
fig = figure;
hold on; grid on;
xlabel('Time of flight - years'); ylabel('Total cost - km/s');

try
% 4 planets in the sequence
for indi = 1:size(groups_40,1)
    
    g40 = cell2mat(groups_40(indi,1));
        
    seqpl   = g40(1,7:10:end-3);
    seqName = seq2SeqName(seqpl);
    
    pareto = generateParetoFront(g40, 0);
    
    Legend{indleg} = seqName;
    indleg         = indleg + 1;
    
    hold on;
    plot(pareto(:,1), pareto(:,2), 'd');
        
end
catch
end
   
try
% 5 planets in the sequence
for indi = 1:size(groups_50,1)
    
    g50 = cell2mat(groups_50(indi,1));
    
    seqpl   = g50(1,7:10:end-3);
    seqName = seq2SeqName(seqpl);
    
    pareto = generateParetoFront(g50, 0);
    
    Legend{indleg} = seqName;
    indleg         = indleg + 1;
    
    hold on;
    plot(pareto(:,1), pareto(:,2), 'd');
        
end
catch
end

try
% 6 planets in the sequence
for indi = 1:size(groups_60,1)
    
    g60 = cell2mat(groups_60(indi,1));
        
    seqpl   = g60(1,7:10:end-3);
    seqName = seq2SeqName(seqpl);
    
    pareto = generateParetoFront(g60, 0);
    
    Legend{indleg} = seqName;
    indleg         = indleg + 1;
    
    hold on;
    plot(pareto(:,1), pareto(:,2), 'd');
        
end
catch
end

try
% 7 planets in the sequence
for indi = 1:size(groups_70,1)
    
    g70 = cell2mat(groups_70(indi,1));
        
    seqpl   = g70(1,7:10:end-3);
    seqName = seq2SeqName(seqpl);
    
    pareto = generateParetoFront(g70, 0);
    
    Legend{indleg} = seqName;
    indleg         = indleg + 1;
    
    hold on;
    plot(pareto(:,1), pareto(:,2), 'd');
        
end
catch
end

legend(Legend)
legend('Location','Best');

end