function [fig] = plotSolVec(solVec)

mu = 132724487690;
AU = 149597870.7;

PLTS = solVec(:,1);
TFBS = solVec(:,2);

[fig] = plotPLTS(PLTS, TFBS);
hold on;
plot3(0, 0, 0, 'r*', 'markersize', 10);

options = odeset('abstol', 1e-12, 'reltol', 1e-12);

for indi = 1:size(solVec,1)-1
    
    pl1 = solVec(indi,1);
    t1  = solVec(indi,2);

    pl2 = solVec(indi+1,1);
    t2  = solVec(indi+1,2);

    [r1, v1] = EphSS_car(pl1, t1);
    [r2, v2] = EphSS_car(pl2, t2);

    [~,~,~,~,v1Short, v2Short,~,~] = lambertMR(r1, r2, (t2 - t1)*86400, mu, 0, 0);
        
    if indi == 1
        
        rrIN = r2;
        vvIN = v2Short;
        [~,yy] = ode113(@(t,x) dyn_2BP(t, x, mu), [0 -(t2 - t1)*86400], [rrIN, vvIN], options);
        
        hold on;
        plot3(yy(:,1)./AU, yy(:,2)./AU, yy(:,3)./AU, 'b', 'linewidth', 2);
        plot3(yy(1,1)./AU, yy(1,2)./AU, yy(1,3)./AU, 'ro', 'markersize', 8);
        plot3(yy(end,1)./AU, yy(end,2)./AU, yy(end,3)./AU, 'ks', 'markersize', 10);
    elseif indi == size(solVec)-1

        rrIN = r2;
        vvIN = v2Short;
        
        [~,yy] = ode113(@(t,x) dyn_2BP(t, x, mu), [0 -(t2 - t1)*86400], [rrIN, vvIN], options);
        
        hold on;
        plot3(yy(:,1)./AU, yy(:,2)./AU, yy(:,3)./AU, 'b', 'linewidth', 2);
        plot3(yy(1,1)./AU, yy(1,2)./AU, yy(1,3)./AU, 'ro', 'markersize', 8);
        
    else
        
        rrIN = r2;
        vvIN = v2Short;
        
        [~,yy] = ode113(@(t,x) dyn_2BP(t, x, mu), [0 -(t2 - t1)*86400], [rrIN, vvIN], options);
        
        hold on;
        plot3(yy(:,1)./AU, yy(:,2)./AU, yy(:,3)./AU, 'b', 'linewidth', 2);
        plot3(yy(1,1)./AU, yy(1,2)./AU, yy(1,3)./AU, 'ro', 'markersize', 8);
        
    end
    
end


end