function plot_texture(re, pos, txt)

% Load Earth Map
image_file = [ txt '.jpg'];

npanels = 72;           % Number of globe panels around the equator deg/panel = 360/npanels
alpha   = 1;            % globe transparency level, 1 = opaque, through 0 = invisible

erad = re;             % equatorial radius (km)
prad = re;             % polar radius (km)

% Create a 3D meshgrid of the sphere points using the ellipsoid function

[x, y, z] = ellipsoid(pos(1), pos(2), pos(3), erad, erad, prad, npanels);

% Nel globe ruotiamo gli assi per tener conto della posizione di greenwich
% al tempo t0.
tetag0 = 0;

globe = surf(cos(tetag0)*x+sin(tetag0)*y, -sin(tetag0)*x+cos(tetag0)*y, -z, 'FaceColor', 'none', 'EdgeColor', 0.5*[1 1 1]);

%%% Texturemap the globe
cdata = imread(image_file);     % Load Earth image for texture map
set(globe, 'FaceColor', 'texturemap', 'CData', cdata, 'FaceAlpha', alpha, 'EdgeColor', 'none');

end
