function [Struc, costTOT, tofys, costDSM, vinfDep, vinfArr] =...
    matObj2Struc(matObj, SEQ)

Struc(1:size(matObj.variable,1)) = ...
    struct('Seq', zeros(10,1), 'VinfD', zeros(1,1),'DSM', zeros(1,1),...
    'VinfA', zeros(1,1), 'CostTOT', zeros(1,1), 'TOFY', zeros(1,1), 'EPOCHS', zeros(length(SEQ),1));

% initialise the waitbar
f = waitbar(0, '', 'CreateCancelBtn','setappdata(gcbf,''canceling'',1)');

for indleg = 1:size(matObj.variable,1)
    
    % construct path
    [path] = constructPath(matObj.variable(indleg, :));
    
    Struc(:,indleg).Seq     = path(:,7);
    Struc(:,indleg).VinfD   = path(1,9);
    Struc(:,indleg).DSM     = sum(path(:,10));
    Struc(:,indleg).VinfA   = path(1,15);
    Struc(:,indleg).CostTOT = sum(path(1,9) + sum(path(:,10)) + path(1,15));
    Struc(:,indleg).TOFY    = path(1,16);
    Struc(:,indleg).EPOCHS  = path(:,8);
    
    % update the waitbar
    w = waitbar(indleg/size(matObj.variable,1), f, sprintf('Computing : paths...'));
    
end
delete(w); % close the waitbar

costTOT = [Struc.CostTOT]';
tofys   = [Struc.TOFY]';
costDSM = [Struc.DSM]';
vinfDep = [Struc.VinfD]';
vinfArr = [Struc.VinfA]';

end