function [VINFS] = path2Vinfs(path)

mu = 132724487690;

% --> find arrival and departing v-infinities
vvInfDep = zeros(size(path,1)-2,3);
vInfDep  = zeros(size(path,1)-2,1);
for row = 3:size(path,1)
    
    rrIN  = path(row,1:3);
    vvIN  = path(row,4:6);
    plIN  = path(row,7);
    tIN   = path(row,8);
    kepIN = car2kep([rrIN vvIN], mu);
    
    dt           = (tIN - path(row-1,8))*86400;
    [~, vvOU] = FGKepler_dt(kepIN, -dt, mu);
    
    [~, vvga1] = EphSS_car(path(row-1,7), path(row-1,8));

    vvInfDep(row-2,:) = vvOU - vvga1;
    vInfDep(row-2,1)  = norm(vvInfDep(row-2,:));
    
end
vInfDep = [path(1,9); vInfDep];
vInfArr = path(2:end,9);
VINFS   = [vInfDep vInfArr];

seq  = path(:,7)';
legs = fromSeq2Legs(seq);

VINFS = [legs VINFS];

end