function [RUN_max, RUN_reduced, RUN_zeros, TIME_max, TIME_red] = differentRuns(nplmax, NrevMax)

% DESCRIPTION : 
% only works with plT == 5 V 6
% in this case you assume:
% - zero revs on the first leg (departing one)
% - zero revs on the last leg (towards 5 V 6)
% - max. two revs. on max. one leg (and max. one in the others)
% -------------------------------------------------------------------------

% max. number of legs
nlegmax    = nplmax - 1;
nlegrevmax = nlegmax - 2; % tolta la prima leg e se targetPL = 5 V 6

% vector of possible revolutions (0-1 and 1-2) --> no more, as the TOF increases
if NrevMax == 0
    vec = 0;
elseif NrevMax == 1
    vec = [0 10 11];
elseif NrevMax == 2
    vec = [0 10 11 20 21];
elseif NrevMax == 3
    vec = [0 10 11 20 21 30 31];
end

% different runs options (in the max. case)
RUN_max = permn(vec, nlegrevmax);

% different runs options (in the reduced case)
tosave = zeros(1,size(RUN_max,1));
for indi = 1:size(RUN_max,1)
    indxs = find(RUN_max(indi,:) == 0);
    if length(indxs) + 1 >= nlegrevmax
        tosave(indi) = indi;
    end
end
tosave(tosave == 0) = [];
RUN_reduced = RUN_max(tosave,:);

RUN_reduced = [zeros(size(RUN_reduced,1),1) RUN_reduced zeros(size(RUN_reduced,1),1)];
RUN_max     = [zeros(size(RUN_max,1),1) RUN_max zeros(size(RUN_max,1),1)];
RUN_zeros   = RUN_reduced(1,:);

% estimated running time per RUN (secs)
TIME_run = 60;
TIME_red = TIME_run*size(RUN_reduced, 1);
TIME_max = TIME_run*size(RUN_max, 1);

end
