function [RUN_OPTIONS] = generateRunningOptions(IDS, pldep, plarr, maxlegs, res)

if nargin < 4
    res = 0;
end

% --> resonances available at the planets
[RES] = resonancesAvailable(IDS);

% maxlegs = INPUT.maxlegs;
maxLegs = 1:1:maxlegs;

RUN_OPTIONS = [];
for indm = 1:length(maxLegs)
    
    maxNumPlts = maxLegs(indm) + 1; % --> max. number of planets to flyby
    
    % --> find all possible combinations (reduced and extended)
    SEQSr = allPossibleSequences(pldep, plarr, IDS, maxNumPlts, res);
    
    for inds = 1:size(SEQSr,1)

        seq = SEQSr(inds,:);
        [run_opts]  = runningOptionsPerSeq(seq, RES);
        RUN_OPTIONS = [RUN_OPTIONS; run_opts];

    end
end

% --> process the RUN_OPTIONS.RES to be compliant with ASTRA
for indrun = 1:size(RUN_OPTIONS,1)
   
    res = RUN_OPTIONS(indrun,:).RES;
    res = reshape(res', [1 size(res,1)*size(res,2)]);
    indxs = find(res ~= 0);
    res = res(indxs);
    RUN_OPTIONS(indrun,:).RES_ASTRA = res;
    
end

end