function [minDV, tfMinDV, ratioMinDV, dv, tf, ratio, tt0] = wrap_DSM_STM(leg, vvpl)

% e.g. E -> V -> M
% leg : is the vector containing info of the overall leg

% --> extract info from leg
defect = leg(end);
cols   = size(leg,2);
tpl1   = leg(cols-22);
tpl2   = leg(cols-12);
cartIN = leg(cols-19:cols-14);

tof   = tpl2 - tpl1;
tstep = tof/5;
tt0   = 0:tstep:tof;

dv    = zeros(length(tt0),1);
tf    = zeros(length(tt0),1);
ratio = zeros(length(tt0),1);
for indt0 = 1:length(tt0)
   [dv(indt0,:), tf(indt0,:), ratio(indt0,:)] = ...
       DSM_STM(tof, vvpl, cartIN, defect, tt0(indt0));
end

[minDV, row] = min(dv);
tfMinDV      = tf(row);
ratioMinDV   = ratio(row);

end