function [list] = computeDVsNext_ACO_v2(as1, vvin, EPH, tols, OptionsMultiRev)

% --> encounter epoch of first asteroid
t1 = EPH(EPH(:,1) == as1, 2);

%--> find all the reachable points from the one at which you are now
astLISTe                         = EPH( EPH(:,1) >= 11 , : );
astLISTe(astLISTe(:,1) == as1,:) = [];
LIST                             = astLISTe(astLISTe(:,2) >= t1, 1:2);

list = zeros(size(LIST,1), size(LIST,2)+1+3);
for indlist = 1:size(LIST,1)
   
    % --> compute the DV between two asteroids
    as2 = LIST(indlist,1);
    [dv, vvf] = nextLegs_Seqs_v2(as1, vvin, as2, EPH, OptionsMultiRev);
    
    % --> save the new list
    list(indlist,:) = [LIST(indlist,:) dv vvf];
    
end
% --> prune those with too high DSMp
list( list(:,3) > tols(3) ,:) = [];

end