function [path, SEQ, optMR, scStateEnc] = constructPath_BS(LEGrow, EPH, OptionsMultiRev)

% --> check if there are planets in the middle of the sequence
PLS      = EPH(EPH(:,1) < 11, :);
asts     = LEGrow(3:2:end);
epochsAs = findTimes(asts, EPH(:,1:2));
states   = findEPH(asts, EPH);
ASTS     = [ [asts' epochsAs' ] states ];

SEQ = [ PLS; ASTS ];
SEQ = sortrows(SEQ,2);

% --> dv and approaching velocities of the asteroids
[dv, ~, vva, alpha, optMR, scStateEnc] = costFunctionSeq(SEQ, OptionsMultiRev);

% --> save the path
path(:,1:2) = SEQ(:,1:2);
path(:,3:5) = 0;
path(:,6)   = [0; dv];

path(:,4)   = vva; % --> infinity velocity (km/s) at the object

% --> mass of the asteroids in the sequence
masses      = seqMass(path(:,1));
path(:,5)   = masses;  % --> mass (kg) of the object

% --> solar phase angles
path(:,3) = alpha;

end
