function [dv, vvf, vva, alpha, optMR, scStateEnc] = costFunctionSeq(SEQ, OptionsMultiRev)

mu         = 132724487690;

dv         = zeros(size(SEQ,1)-1,1);
vva        = zeros(size(SEQ,1),1);
alpha      = zeros(size(SEQ,1),1);
optMR      = zeros(size(SEQ,1)-1,2);
scStateEnc = zeros(size(SEQ,1)-1,6);

for inds = 1:size(SEQ,1)-1

    as1 = SEQ(inds,1);
    t1  = SEQ(inds,2);
    t2  = SEQ(inds+1,2);

    rr1 = SEQ(inds,3:5);
    vv1 = SEQ(inds,6:8);
    rr2 = SEQ(inds+1,3:5);
    vv2 = SEQ(inds+1,6:8);

    if inds == 1
        [dv(inds), ~, vvf, ~, ~, ~, optMR(inds,:)] = lambert_MR_opts(vv1, rr1, rr2, (t2 - t1)*86400, mu, OptionsMultiRev);
    else
        if as1 < 11
            [dv(inds), ~, vvf, optMR(inds,:)] = lambert_MR_opts_flyby(vvf, vv1, as1, rr1, rr2, (t2 - t1)*86400, mu, OptionsMultiRev);
        else
            [dv(inds), ~, vvf, ~, ~, ~, optMR(inds,:)] = lambert_MR_opts(vvf, rr1, rr2, (t2 - t1)*86400, mu, OptionsMultiRev);
        end
    end

    scStateEnc(inds,:) = [ rr2 vvf ];

    vva(inds+1,:)   = norm(vvf - vv2); % --> asteroid-SC relative velocity
    alpha(inds+1,:) = solarPhaseAngle(rr2, vvf - vv2);
    
end

scStateEnc = [ zeros(1,6); scStateEnc ];

end
