function [LEGSnext, VASnext, asts] = firstLEGS_BS(EPH, tols, OptionsMultiRev)

asts = EPH(2:end,:);
asts = asts( asts(:,1) >= 11 ,:);

plts = EPH( EPH(:,1) < 11 ,: );
plts = plts(2:end,:);

LEGSnext = zeros(size(asts,1), 3);
VASnext  = zeros(size(asts,1), 3);

ind_to_del = zeros(size(asts,1), 1);
for ind = 1:size(asts,1)

    as2 = asts(ind,1);

    SEQ   = [ EPH(1,:) ; asts(ind,:) ; plts ];
    SEQ   = sortrows(SEQ, 2);
    indxs = find(SEQ(:,1) == as2);
    SEQ   = SEQ(1:indxs,:);
    
    [dv, vvf]       = costFunctionSeq(SEQ, OptionsMultiRev);
    LEGSnext(ind,:) = [3 sum(dv) as2];
    VASnext(ind,:)  = vvf;
    
    if dv(1) > tols(1) || sum(dv) > tols(end)
        ind_to_del(ind) = ind;
    end
    if length(dv) > 1
        if isempty(find(dv(2:end) <= tols(3)))
            ind_to_del(ind) = ind;
        end
    end
end
ind_to_del(ind_to_del==0) = [];

LEGSnext(ind_to_del,:) = [];
VASnext(ind_to_del,:)  = [];
asts(ind_to_del,:)     = [];

end