function [dv, vvin2] = nextLegs_Seqs_v2(as1, vvin, as2, EPH, OptionsMultiRev)

mu = 132712440018; % --> grav. param. of the Sun

PLTS = EPH( EPH(:,1) < 11,: );
asts = EPH( EPH(:,1) >= 11, :);
ASTS = [asts(asts(:,1) == as1,:); asts(asts(:,1) == as2,:)];

SEQ  = [PLTS; ASTS];
SEQ  = sortrows(SEQ,2);
ind1 = find(SEQ(:,1) == as1);
ind2 = find(SEQ(:,1) == as2);
SEQ  = SEQ(ind1:ind2,:);

dv = zeros( size(SEQ,1)-1, 1);
for inds = 1:size(SEQ,1)-1
   
    as1 = SEQ(inds,1);
    rr1 = SEQ(inds,3:5);
    rr2 = SEQ(inds+1,3:5);
    vv1 = SEQ(inds,6:8);
    
    t1 = SEQ(inds,2);
    t2 = SEQ(inds+1,2);
    
    if as1 < 11
        [dv(inds), ~, vvin] = lambert_MR_opts_flyby(vvin, vv1, as1, rr1, rr2, (t2 - t1)*86400, mu, OptionsMultiRev);
    else
        [dv(inds), ~, vvin] = lambert_MR_opts(vvin, rr1, rr2, (t2 - t1)*86400, mu, OptionsMultiRev);
    end
    
end
dv    = sum(dv);
vvin2 = vvin;

end
