
mu = 1;
r0 = 1;
v0 = 1;
T = 2*pi;

DataIn = [r0 0 0 0 v0 0];
tspan = [0 10*T];

% Options for the integrations
Tol = 1e-08;
Tol0 = 1e-08;
odeoptions = odeset('RelTol', Tol, 'AbsTol', Tol0);

[~,Y1] = ode45(@dyn_2BP, tspan, DataIn, [], mu);
[~,Y2] = ode45(@dyn_2BP, tspan, DataIn, odeoptions, mu);

figure
subplot(2,1,1)
plot(Y1(:,1), Y1(:,2))
grid on
axis equal
title('Default tolerances')

subplot(2,1,2)
plot(Y2(:,1), Y2(:,2))
grid on
axis equal
title('Both tolerances = 1e-8')