function mexifyEphNEO()
% mexifyEphNEO - Compiles and creates MEX files for the ephNEO function.
%
% AUTHOR:
%   Alessandro Peloni, 05/12/2013
%
% PREVIOUS VERSION:
%   Matteo Ceriotti, 18/12/2009, mexifySpaceToolbox.m
%
% -------------------------------------------------------------------------

tic;

%% Script to mexify the ephNEO function
disp(' ');
disp(' ');
disp('----------------------------------------------');
disp('Creation of the mex file');
disp('----------------------------------------------');

%% Extension and thus folder where the mex file shall be saved:
if isunix
    currentdir = '.';
    slash = '/';
    obj = '.o';
else
    currentdir = '.';
    slash = '/';
    obj = '.obj';
end

%% Libraries
fprintf('\n');
disp('CREATING LIBRARY');
% Q
str = ['mex ' ...
        'src' slash 'mathUtils.c ' ...
        'src' slash 'astroConstants.c ' ...
        'src' slash 'anomConv.c ' ...
        'src' slash 'ephNEO.c ' ...
        '-c -DMEXCOMPILE'];

    
eval(str);
fprintf('done\n');

%% Ephemerides
% outputDir = 'ephemerides';
% if ~exist([currentdir slash outputDir],'dir'), mkdir(outputDir); end
funName = {'ephNEO'};
libs = {'astroConstants', 'mathUtils', 'ephNEO', 'anomConv'};

callMex(funName, libs, currentdir, slash, obj);

%% Delete libraries
fprintf('\n');
disp('DELETING LIBRARIES');
fprintf('done\n');
delete(['*' obj]);


%%

function callMex(funName, libs, outputDir, slash, obj)

mexName = cell(1,length(funName));
for i = 1:length(funName)
    mexName{i} = ['mex' upper(funName{i}(1)) funName{i}(2:end)];
end


fprintf('\n');
for i = 1:length(funName)
    fprintf([funName{i} ': ']);
    str = ['mex src' slash mexName{i} '.c '];
    for j = 1:length(libs)
        str = [str libs{j} obj ' '];
    end
    str = [str '-outdir ' outputDir ' -output ' funName{i} ' -DMEXCOMPILE'];
    eval(str)
    fprintf('done\n');
end

end

end