
function Examples

% Try all the examples of NSGA-II in once and save the results in separate
% files.
% The parameters used to call the genetic algorithm with each example are
% given directly by the functions themselves.


clear all
close all
clc


if matlabpool('size')
    matlabpool close
end
matlabpool

parfor ind = 1:24
    
    switch ind
        case 1
            [bestPop,crossMut,finalPop] = nsga2(0.5,100,150,2,2,2,[0 0;5 3],...
                [0.9 0.5 10 20],0,[],[],[],'bnh',{});
            iSave(bestPop, crossMut, finalPop,'bnh.mat')
        case 2
            [bestPop,crossMut,finalPop] = nsga2(0.5,200,100,2,2,2,[0 0; 1 1],...
                [0.9 0.5 10 20],0,[],[],[],'ctp1',{});
            iSave(bestPop, crossMut, finalPop,'ctp1.mat')
        case 3
            [bestPop,crossMut,finalPop] = nsga2(0.5,200,150,2,1,2,[0 0; 1 1],...
                 [0.9 0.5 10 20],0,[],[],[],'ctp2',{});
             iSave(bestPop, crossMut, finalPop,'ctp2.mat')
        case 4
            [bestPop,crossMut,finalPop] = nsga2(0.5,200,150,2,1,2,[0 0; 1 1],...
                [0.9 0.5 10 20],0,[],[],[],'ctp3',{});
            iSave(bestPop, crossMut, finalPop,'ctp3.mat')
        case 5
            [bestPop,crossMut,finalPop] = nsga2(0.5,100,1000,2,1,2,[0 0; 1 1],...
                [0.9 0.5 10 20],0,[],[],[],'ctp4',{});
            iSave(bestPop, crossMut, finalPop,'ctp4.mat')
        case 6
            [bestPop,crossMut,finalPop] = nsga2(0.5,200,100,2,1,2,[0 0; 1 1],...
                [0.9 0.5 10 20],0,[],[],[],'ctp5',{});
            iSave(bestPop, crossMut, finalPop,'ctp5.mat')
        case 7
            [bestPop,crossMut,finalPop] = nsga2(0.5,200,100,2,1,2,[0 0; 1 10],...
                [0.9 0.5 10 20],0,[],[],[],'ctp6',{});
            iSave(bestPop, crossMut, finalPop,'ctp6.mat')
        case 8
            [bestPop,crossMut,finalPop] = nsga2(0.5,200,100,2,1,2,[0 0; 1 10],...
                [0.9 0.5 10 20],0,[],[],[],'ctp7',{});
            iSave(bestPop, crossMut, finalPop,'ctp7.mat')
        case 9
            [bestPop,crossMut,finalPop] = nsga2(0.5,200,100,2,2,2,[0 0; 1 10],...
                [0.9 0.5 10 20],0,[],[],[],'ctp8',{});
            iSave(bestPop, crossMut, finalPop,'ctp8.mat')
        case 10
            [bestPop,crossMut,finalPop] = nsga2(0.5,100,100,2,0,5,...
                [-4*ones(1,5);4*ones(1,5)],[0.9 0.2 10 10],0,[],[],[],'fon',{});
            iSave(bestPop, crossMut, finalPop,'fon.mat')
        case 11
            [bestPop,crossMut,finalPop] = nsga2(0.5,100,100,2,0,3,[-5 -5 -5;5 5 5],...
                [0.9 0.33 10 10],0,[],[],[],'kur',{});
            iSave(bestPop, crossMut, finalPop,'kur.mat')
        case 12
            [bestPop,crossMut,finalPop] = nsga2(0.5,200,250,2,6,6,...
                [0 0 1 0 1 0;10 10 5 6 5 10],[0.9 0.1667 5 5],0,[],[],[],'osy',{});
            iSave(bestPop, crossMut, finalPop,'osy.mat')
        case 13
            [bestPop,crossMut,finalPop] = nsga2(0.5,100,100,2,0,2,[-3.15 -3.15;3.15 3.15],...
                [0.9 0.5 10 10],0,[],[],[],'pol',{});
            iSave(bestPop, crossMut, finalPop,'pol.mat')
        case 14
            [bestPop,crossMut,finalPop] = nsga2(0.5,48,500,2,0,1,[-10;10],...
                [0.9 0.5 5 10],0,[],[],[],'sch1',{});
            iSave(bestPop, crossMut, finalPop,'sch1.mat')
        case 15
            [bestPop,crossMut,finalPop] = nsga2(0.5,48,50,2,0,1,[-5;10],...
                [0.9 0.5 5 10],0,[],[],[],'sch2',{});
            iSave(bestPop, crossMut, finalPop,'sch2.mat')
        case 16
            [bestPop,crossMut,finalPop] = nsga2(0.5,100,100,2,2,2,[-20 -20;20 20],...
                [0.9 0.5 5 5],0,[],[],[],'srn',{});
            iSave(bestPop, crossMut, finalPop,'srn.mat')
        case 17
            [bestPop,crossMut,finalPop] = nsga2(0.5,200,300,2,2,2,[0 0;3.15 3.15],...
                [0.9 0.5 5 5],0,[],[],[],'tnk',{});
            iSave(bestPop, crossMut, finalPop,'tnk.mat')
        case 18
            [bestPop,crossMut,finalPop] = nsga2(0.5,300,500,3,0,2,[-3 -3;3 3],...
                [0.9 0.5 25 25],0,[],[],[],'vnt',{});
            iSave(bestPop, crossMut, finalPop,'vnt.mat')
        case 19
            [bestPop,crossMut,finalPop] = nsga2(0.5,100,200,2,0,30,...
                [zeros(1,30);ones(1,30)],[0.9 0.033 15 20],0,[],[],[],'zdt1',{});
            iSave(bestPop, crossMut, finalPop,'zdt1.mat')
        case 20
            [bestPop,crossMut,finalPop] = nsga2(0.5,100,200,2,0,30,...
                [zeros(1,30);ones(1,30)],[0.9 0.033 15 20],0,[],[],[],'zdt2',{});
            iSave(bestPop, crossMut, finalPop,'zdt2.mat')
        case 21
            [bestPop,crossMut,finalPop] = nsga2(0.5,100,200,2,0,30,...
                [zeros(1,30);ones(1,30)],[0.9 0.033 15 20],0,[],[],[],'zdt3',{});
            iSave(bestPop, crossMut, finalPop,'zdt3.mat')
        case 22
            [bestPop,crossMut,finalPop] = nsga2(0.5,100,200,2,0,10,...
                [0 -5*ones(1,9);1 5*ones(1,9)],[0.9 0.1 15 20],0,[],[],[],'zdt4',{});
            iSave(bestPop, crossMut, finalPop,'zdt4.mat')
        case 23
            [bestPop,crossMut,finalPop] = nsga2(0.5,100,300,2,0,...
              0,[],[],11,[30 5*ones(1,10)],[0 zeros(1,10); 30 5*ones(1,10)],...
              [0.9 0.0125],'zdt5',{[30 5*ones(1,10)],...
              [0 zeros(1,10); 30 5*ones(1,10)]});
          iSave(bestPop, crossMut, finalPop,'zdt5.mat')
        case 24
            [bestPop,crossMut,finalPop] = nsga2(0.5,100,200,2,0,10,...
                [zeros(1,10);ones(1,10)],[0.9 0.1 15 20],0,[],[],[],'zdt6',{});
            iSave(bestPop, crossMut, finalPop,'zdt6.mat')
    end
    
    
end

matlabpool close

return