function [obj,constr] = bnh2(xreal,xbin,param)
%  Test problem BNH
%    # of real variables = 2
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 2
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,100,150,1,2,2,[0 0;5 3],...
%       [0.9 0.5 10 20],0,[],[],[],'bnh2',{});
%
% Nicolas Croisard (2009)

obj = 4*(xreal(1)*xreal(1) + xreal(2)*xreal(2));
    
constr = [1 - ((xreal(1)-5.0)^2 + xreal(2)*xreal(2))/25.0;...
          ((xreal(1)-8.0)^2 + (xreal(2)+3.0)^2)/7.7 - 1];

end