function [obj,constr] = ctp1(xreal,xbin,param)
%  Test problem CTP1
%    # of real variables = 2
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 2
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,200,100,2,2,2,[0 0; 1 1],...
%       [0.9 0.5 10 20],0,[],[],[],'ctp1',{});
%
% Nicolas Croisard (2009)


g = 1 + xreal(2);
obj = [xreal(1);
       g*exp(-xreal(1)/g)];

constr = [obj(2)/(0.858*exp(-0.541*obj(1)))-1;
          obj(2)/(0.728*exp(-0.295*obj(1)))-1];