function [obj,constr] = ctp5(xreal,xbin,param)
%  Test problem CTP5
%    # of real variables = 2
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 1
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,200,100,2,1,2,[0 0; 1 1],...
%       [0.9 0.5 10 20],0,[],[],[],'ctp5',{});
%
% Nicolas Croisard (2009)


theta = -0.2*pi;
a = 0.1;
b = 10;
c = 2;
d = 0.5;
e = 1;

g = 1 + xreal(2);
obj = [xreal(1);
       g * (1-sqrt(xreal(1)/g))];

exp1 = (obj(2)-e)*cos(theta) - obj(1)*sin(theta);
exp2 = (obj(2)-e)*sin(theta) + obj(1)*cos(theta);
exp2 = b*pi*exp2^c;
exp2 = abs(sin(exp2));
exp2 = a*exp2^d;
constr = exp1/exp2 - 1;