function [obj,constr] = ctp8(xreal,xbin,param)
%  Test problem CTP8
%    # of real variables = 2
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 2
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,200,100,2,2,2,[0 0; 1 10],...
%       [0.9 0.5 10 20],0,[],[],[],'ctp8',{});
%
% Nicolas Croisard (2009)


g = 1 + xreal(2);
obj = [xreal(1);
       g * (1-sqrt(xreal(1)/g))];


theta = 0.1*pi;
a = 40;
b = 0.5;
c = 1;
d = 2;
e = -2;

exp1 = (obj(2)-e)*cos(theta) - obj(1)*sin(theta);
exp2 = (obj(2)-e)*sin(theta) + obj(1)*cos(theta);
exp2 = b*pi*exp2^c;
exp2 = abs(sin(exp2));
exp2 = a*exp2^d;
constr(1) = exp1/exp2 - 1;


theta = -0.05*pi;
a = 40;
b = 2;
c = 1;
d = 6;
e = 0;

exp1 = (obj(2)-e)*cos(theta) - obj(1)*sin(theta);
exp2 = (obj(2)-e)*sin(theta) + obj(1)*cos(theta);
exp2 = b*pi*exp2^c;
exp2 = abs(sin(exp2));
exp2 = a*exp2^d;
constr(2) = exp1/exp2 - 1;