function [obj,constr] = fon(xreal,xbin,param)
%  Test problem FON
%    # of real variables = n
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 0
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,100,100,2,0,5,...
%       [-4*ones(1,5);4*ones(1,5)],[0.9 0.2 10 10],0,[],[],[],'fon',{});
%
% Nicolas Croisard (2009)

obj = [1-exp(-sum((xreal-1/sqrt(numel(xreal))).^2)); ...
       1-exp(-sum((xreal+1/sqrt(numel(xreal))).^2))];
    
constr = [];

end