function [obj,constr] = kur(xreal,xbin,param)
%  Test problem KUR
%    # of real variables = 3
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 0
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,100,100,2,0,3,[-5 -5 -5;5 5 5],...
%       [0.9 0.33 10 10],0,[],[],[],'kur',{});
%
% Nicolas Croisard (2009)


res1 = -0.2*sqrt(xreal(1)^2 + xreal(2)^2);
res2 = -0.2*sqrt(xreal(2)^2 + xreal(3)^2);
obj(1) = -10.0*(exp(res1) + exp(res2));
obj(2) = sum(abs(xreal.^0.8)+5*sin(xreal.^3));

constr = [];