function [obj,constr] = osy(xreal,xbin,param)
%  Test problem OSY
%    # of real variables = 6
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 6
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,200,250,2,6,6,...
%       [0 0 1 0 1 0;10 10 5 6 5 10],[0.9 0.1667 5 5],0,[],[],[],'osy',{});
%
% Nicolas Croisard (2009)


obj = [-(25*(xreal(1)-2)^2 + (xreal(2)-2)^2 + (xreal(3)-1)^2 + (xreal(4)-4)^2 + (xreal(5)-1)^2);
       sum(xreal.^2)];

constr = [(xreal(1)+xreal(2))/2 - 1;
          1 - (xreal(1)+xreal(2))/6;
          1 - xreal(2)/2 + xreal(1)/2;
          1 - xreal(1)/2 + 3*xreal(2)/2;
          1 - (xreal(3)-3)^2/4 - xreal(4)/4;
          (xreal(5)-3)^2/4 + xreal(6)/4 - 1];