function [obj,constr] = pol(xreal,xbin,param)
%  Test problem POL
%    # of real variables = 2
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 0
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,100,100,2,0,2,[-3.15 -3.15;3.15 3.15],...
%       [0.9 0.5 10 10],0,[],[],[],'pol',{});
%
% Nicolas Croisard (2009)


a1 = 0.5*sin(1.0) - 2.0*cos(1.0) + sin(2.0) - 1.5*cos(2.0);
a2 = 1.5*sin(1.0) - cos(1.0) + 2.0*sin(2.0) - 0.5*cos(2.0);
b1 = 0.5*sin(xreal(1)) - 2.0*cos(xreal(1)) + sin(xreal(2)) - 1.5*cos(xreal(2));
b2 = 1.5*sin(xreal(1)) - cos(xreal(1)) + 2.0*sin(xreal(2)) - 0.5*cos(xreal(2));
obj(1) = 1.0 + (a1-b1)^2 + (a2-b2)^2;
obj(2) = (xreal(1)+3)^2 + (xreal(2)+1)^2;

constr = [];