function [obj,constr] = sch1(xreal,xbin,param)
%  Test problem SCH1
%    # of real variables = 1
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 0
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,48,500,2,0,1,[-10;10],...
%       [0.9 0.5 5 10],0,[],[],[],'sch1',{});
%
% Nicolas Croisard (2009)

obj = [ xreal(1)^2; ...
       (xreal(1)-2)^2];
constr = [];

end