function [obj,constr] = sch2(xreal,xbin,param)
%  Test problem SCH2
%    # of real variables = 1
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 0
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,48,50,2,0,1,[-5;10],...
%       [0.9 0.5 5 10],0,[],[],[],'sch2',{});
%
% Nicolas Croisard (2009)

if xreal(1)<=1
    obj = [ -xreal(1); ...
           (xreal(1)-5)^2];
elseif xreal(1)<=3
    obj = [ xreal(1)-2; ...
           (xreal(1)-5)^2];
elseif xreal(1)<=4
    obj = [ 4-xreal(1); ...
           (xreal(1)-5)^2];
else
    obj = [ xreal(1)-4; ...
           (xreal(1)-5)^2];
end
    
constr = [];

end