function [obj,constr] = srn(xreal,xbin,param)
%  Test problem SRN
%    # of real variables = 2
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 2
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,100,100,2,2,2,[-20 -20;20 20],...
%       [0.9 0.5 5 5],0,[],[],[],'srn',{});
%
% Nicolas Croisard (2009)


obj = [2 + (xreal(1)-2)^2 + (xreal(2)-1)^2;
       9*xreal(1) - (xreal(2)-1)^2];
constr = [1 - (xreal(1)^2 + xreal(2)^2)/225;
          3*xreal(2)/10 - xreal(1)/10 - 1];
