function [obj,constr] = tnk(xreal,xbin,param)
%  Test problem TNK
%    # of real variables = 2
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 2
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,200,300,2,2,2,[0 0;3.15 3.15],...
%       [0.9 0.5 5 5],0,[],[],[],'tnk',{});
%
% Nicolas Croisard (2009)


obj = [xreal(1);
       xreal(2)];

constr = [-1;
          1 - 2*(xreal(1)-0.5)^2 + 2*(xreal(2)-0.5)^2];

if (xreal(2) ~= 0)
    constr(1) = xreal(1)^2 + xreal(2)^2 - 0.1*cos(16*atan(xreal(1)/xreal(2))) - 1;
end