function [obj,constr] = vnt(xreal,xbin,param)
%  Test problem VNT
%    # of real variables = 2
%    # of bin variables = 0
%    # of objectives = 3
%    # of constraints = 0
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,300,500,3,0,2,[-3 -3;3 3],...
%       [0.9 0.5 25 25],0,[],[],[],'vnt',{});
%
% Nicolas Croisard (2009)


obj(1) = 0.5*(xreal(1)^2 + xreal(2)^2) + sin(xreal(1)^2 + xreal(2)^2);
obj(2) = ((3.0*xreal(1) - 2*xreal(2) + 4)^2)/8.0 + ((xreal(1)-xreal(2)+1)^2)/27 + 15;
obj(3) = 1/(xreal(1)^2 + xreal(2)^2 + 1) - 1.1*exp(-(xreal(1)^2 + xreal(2)^2));

constr = [];