function [obj,constr] = zdt1(xreal,xbin,param)
%  Test problem ZDT1
%    # of real variables = 30
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 0
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,100,200,2,0,30,...
%       [zeros(1,30);ones(1,30)],[0.9 0.033 15 20],0,[],[],[],'zdt1',{});
%
% Nicolas Croisard (2009)


f1 = xreal(1);
g = 1 + 9*sum(xreal(2:end))/29;
h = 1.0 - sqrt(f1/g);
f2 = g*h;

obj = [f1; f2];

constr = [];