function [obj,constr] = zdt4(xreal,xbin,param)
%  Test problem ZDT4
%    # of real variables = 10
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 0
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,100,200,2,0,10,...
%       [0 -5*ones(1,9);1 5*ones(1,9)],[0.9 0.1 15 20],0,[],[],[],'zdt4',{});
%
% Nicolas Croisard (2009)


f1 = xreal(1);
g = 91 + sum(xreal(2:end).^2 - 10*cos(4*pi*xreal(2:end)));
h = 1.0 - sqrt(f1/g);
f2 = g*h;

obj = [f1; f2];

constr = [];