function [obj,constr] = zdt6(xreal,xbin,param)
%  Test problem ZDT6
%    # of real variables = 10
%    # of bin variables = 0
%    # of objectives = 2
%    # of constraints = 0
%
% To solve it using the mex implementation of NSGA2 ver 1.1, run in matlab
% [bestPop,crossMut,finalPop] = nsga2(0.5,100,200,2,0,10,...
%       [zeros(1,10);ones(1,10)],[0.9 0.1 15 20],0,[],[],[],'zdt6',{});
%
% Nicolas Croisard (2009)


f1 = 1 - exp(-4*xreal(1))*(sin(4*pi*xreal(1)))^6;
g = 1 + 9*(sum(xreal(2:end))/9)^0.25;
h = 1.0 - (f1/g)^2;
f2 = g*h;

obj = [f1; f2];

constr = [];