function [AMBRegionFlag,ProminentFamilyFlag]=CASTAway_FamilyTagging(SequenceFB)
% Input

% Output

% FamilyFlag
%--------------------------------------------------------------------------
% Constants
AU = astroConstants(2);
RAD=pi/180;
%--------------------------------------------------------------------------
% AMB Region
AMBRegionFlag=zeros(1,length(SequenceFB));
for iAs=1:length(SequenceFB)
    kep = ephNEO(0,SequenceFB(iAs));
    sma = kep(1)/AU;
    ecc = kep(2);
    inc = kep(3)/RAD;
    IsHuntarian = (sma>1.8&sma<=2)&(inc>15&inc<35); % sma [1.8,2] AU & inc [15.35] deg
    IsInner = (sma>2&sma<=2.5); % sma [2.0,2.5] AU
    IsMiddle = (sma>2.5&sma<=2.82); %sma [2.5,2.82] AU
    IsOuter = (sma>2.82&sma<=3.3);  %sma [2.82,3.3] AU
    IsCybele =(sma>3.3&sma<=3.7) ; %sma [3.3,3.7] AU
    IsHilda = (sma>3.7&sma<4.2); %sma [3.7,4.2] AU
    if any([IsHuntarian IsInner IsMiddle IsOuter IsCybele IsHilda])
        if sum([IsHuntarian IsInner IsMiddle IsOuter IsCybele IsHilda])==1
            AMBRegionFlag(iAs) = [IsHuntarian+2*IsInner+3*IsMiddle+4*IsOuter+5*IsCybele+6*IsHilda];
        else
            error
        end
    end
end
% ClassCounter=[sum(ClassFlag==0)...
%     sum(ClassFlag==1)...
%     sum(ClassFlag==2)...
%     sum(ClassFlag==3)...
%     sum(ClassFlag==4)...
%     sum(ClassFlag==5)...
%     sum(ClassFlag==6)];
%--------------------------------------------------------------------------
% Prominent Families
% Flora (Florian)	8 Flora	2.17 to 2.33	0.053 to 0.224	1.6 to 7.7    *
% Vesta (Vestian)	4 Vesta	2.26 to 2.48	0.035 to 0.162	5.0 to 8.3    *
% Nysa (Nysian)	44 Nysa	2.41 to 2.5	0.12 to 0.21	1.4 to 4.3            *
% Maria(n)	170 Maria	2.52 to 2.62	0.034 to 0.156	12 to 17          *
% Eunomia(n)	15 Eunomia	2.53 to 2.72	0.078 to 0.218	11.1 to 15.8  *
% Gefion(ian)	1272 Gefion	2.74 to 2.82	0.081 to 0.18	7.4 to 10.5   *
% Koronis (Koronian)	158 Koronis	2.85 to 2.90	0 to 0.1	0 to 3.5  *
% Eos (Eoan)	221 Eos	2.99 to 3.03	0.01 to 0.13	8 to 12           *
% Hygiea(n)	10 Hygiea	3.06 to 3.24	0.088 to 0.191	3.5 to 6.8        *
% Themis (Themistian)	24 Themis	3.08 to 3.24	0.09 to 0.22	0 to 3


ProminentFamilyFlag=zeros(1,length(SequenceFB));
for iAs=1:length(SequenceFB)
    kep = ephNEO(0,SequenceFB(iAs));
    sma = kep(1)/AU;
    ecc = kep(2);
    inc = kep(3)/RAD;
    IsFlorian=(sma>2.17&sma<=2.33)&(ecc>0.053&ecc<=0.224)&(inc>1.6&inc<7.7);
    IsVesta = (sma>2.26&sma<=2.48)&(ecc>0.035&ecc<=0.162)&(inc>5&inc<8.3);
    IsNysa = (sma>2.41&sma<=2.5)&(ecc>0.12&ecc<=0.21)&(inc>1.4&inc<4.3);
    IsMarian = (sma>2.52&sma<=2.62)&(ecc>0.034&ecc<=0.156)&(inc>12&inc<17);
    IsEunomian=(sma>2.53&sma<=2.72)&(ecc>0.078&ecc<=0.218)&(inc>11.1&inc<15.8);
    IsGefionian=(sma>2.74&sma<=2.82)&(ecc>0.081&ecc<=0.18)&(inc>7.4&inc<10.5);
    IsKoronian=(sma>2.85&sma<=2.90)&(ecc>0&ecc<=0.1)&(inc>0&inc<3.5);
    IsEoan =(sma>2.99&sma<=3.03)&(ecc>0.01&ecc<=0.13)&(inc>8&inc<12); 
    IsHygiean=(sma>3.06&sma<=3.24)&(ecc>0.088&ecc<=0.191)&(inc>3.5&inc<6.8);
    IsThemis = (sma>3.08&sma<=3.24)&(ecc>0.09&ecc<=0.22)&(inc>0&inc<3);
    SetAll=[IsFlorian IsVesta IsNysa IsMarian IsEunomian IsGefionian IsKoronian IsEoan IsHygiean  IsThemis ];
    if any(SetAll)
%--------------------------------------------------------------------------        
        if IsFlorian==1&&IsVesta==1
            Flora=[2.202 0.1561 5.886];
            Vesta=[2.36179 0.08874 7.14043];
            diff_Flora=abs([Flora(1)-sma Flora(2)-ecc Flora(3)-inc]);
            diff_vesta=abs([Vesta(1)-sma Vesta(2)-ecc Vesta(3)-inc]);
            if sum(diff_Flora>diff_vesta)>sum(diff_vesta>diff_Flora) 
               IsFlorian=0;
            else
               IsVesta=0;
            end 
            SetAll=[IsFlorian IsVesta IsNysa IsMarian IsEunomian IsGefionian IsKoronian IsEoan IsHygiean  IsThemis ];
        end
%--------------------------------------------------------------------------
        if IsMarian==1&&IsEunomian==1
            Maria=[2.5542 0.063388 14.377];
            Eunomia=[2.643 0.187 11.738];
            diff_Maria=abs([Maria(1)-sma Maria(2)-ecc Maria(3)-inc]);
            diff_Eunomia=abs([Eunomia(1)-sma Eunomia(2)-ecc Eunomia(3)-inc]);
            if sum(diff_Maria>diff_Eunomia)>sum(diff_Eunomia>diff_Maria) 
               IsMarian=0;
            else
               IsEunomian=0;
            end 
            SetAll=[IsFlorian IsVesta IsNysa IsMarian IsEunomian IsGefionian IsKoronian IsEoan IsHygiean  IsThemis ];
        end
%--------------------------------------------------------------------------          
        if sum(SetAll)==1
            ProminentFamilyFlag(iAs) =IsFlorian+2*IsVesta+3*IsNysa+4*IsMarian+5*IsEunomian+6*IsGefionian+7*IsKoronian+8*IsEoan+9*IsHygiean+10*IsThemis;
        else
            disp('WARNING')
            sum(SetAll)
        end
    end
end


end