function [JScore]=SequenceScore(Sequence)
persistent ListNamesCat1210 CATABC
%--------------------------------------------------------------------------
% Constants
AU   = astroConstants(2);
RAD  = pi/180;
%--------------------------------------------------------------------------
%  Loading
if isempty(ListNamesCat1210)
    load('CATABC.mat')
    load('CAT1-10.mat')
    ListNamesCat1210=[];
    for iC=1:4
        for iC2=1:length(CAT{iC})
            ListNamesCat1210=[ListNamesCat1210; CAT{iC}{iC2}.name];
        end
    end
end
%--------------------------------------------------------------------------
% Remove Earth and Mars Earth
% indexDELEarth=find(Sequence==3);
% Sequence(indexDELEarth)=[];
% % Mars
% indexDELMArs=find(SequenceFB==4);
% Sequence(indexDELMArs)=[];
%--------------------------------------------------------------------------

% Count number of classes
for iAs=1:length(Sequence)
    kep = ephNEO(0,Sequence(iAs)+11);
    sma = kep(1)/AU;
    ecc = kep(2);
    inc = kep(3)/RAD;
    IsHuntarian = (sma>1.8&sma<=2)&(inc>15&inc<35); % sma [1.8,2] AU & inc [15.35] deg
    IsInner = (sma>2&sma<=2.5); % sma [2.0,2.5] AU
    IsMiddle = (sma>2.5&sma<=2.82); %sma [2.5,2.82] AU
    IsOuter = (sma>2.82&sma<=3.3);  %sma [2.82,3.3] AU
    IsCybele =(sma>3.3&sma<=3.5) ; %sma [3.3,3.5] AU
    IsHilda = (sma>3.7&sma<4.2); %sma [3.7,4.2] AU
    if any([IsHuntarian IsInner IsMiddle IsOuter IsCybele IsHilda])
        if sum([IsHuntarian IsInner IsMiddle IsOuter IsCybele IsHilda])==1
            ClassFlag(iAs) = [IsHuntarian+2*IsInner+3*IsMiddle+4*IsOuter+5*IsCybele+6*IsHilda];
        else
            error
        end
    end
end
ClassCounter=[sum(ClassFlag==0)...
    sum(ClassFlag==1)...
    sum(ClassFlag==2)...
    sum(ClassFlag==3)...
    sum(ClassFlag==4)...
    sum(ClassFlag==5)...
    sum(ClassFlag==6)];
%----------------------------------------------------------
% Size Counter
MenuSize=CATABC.D(Sequence);
LESS1=sum(any(MenuSize<1,2));
LESS10=sum(any(MenuSize<10,2));
LESS100=sum(any(MenuSize<100,2));
LESS1000=sum(any(MenuSize<1000,2));

SizeCounter=[LESS1000-LESS100,LESS100-LESS10,LESS10-LESS1,LESS1];
SumDiamiter=sum(MenuSize);

%----------------------------------------------------------
% Asteroids with name
namesLIST= CATABC.name(Sequence);
NamedAsteroids=sum(~strncmpi(namesLIST,'(',1));
%----------------------------------------------------------
SpectraLIST=CATABC.spec_type(Sequence);
SpectralInfo=sum(~strncmpi(SpectraLIST,'nan',1));
%----------------------------------------------------------
% Number of Cat1210
C = intersect(namesLIST,ListNamesCat1210);
numCat1210=length(C);
%---------------------------------------------------------
% Extra: Prominent Families
[~,ProminentFamilyFlag]=CASTAway_FamilyTagging(Sequence+11);
nProminentFamilies=unique(ProminentFamilyFlag);
indexDEL=find(nProminentFamilies==0);nProminentFamilies(indexDEL)=[];
nProminentFamilies=length(nProminentFamilies);
%----------------------------------------------------------
% Score Score Size
Score(1)=floor(sum(MenuSize)/20)+SizeCounter(2)+SizeCounter(1);
% Score Spectras
Score(2)=5*SpectralInfo; % This may count too many
% Score Types of Families Visited
Score(3)=5*sum(ClassCounter~=0);
% if Score(3)>2
%     Score(3)=2*Score(3);
% end
% NumFamilies
Score(4)=5*nProminentFamilies;
% Special Asteroids
Score(5)=10*numCat1210;
% total
JScore=sum(Score);
%----------------------------------------------------------


end