function [dv, Sc_SV_FB, As_SV_FB]=Transfer_CASTAway_Earth2Asteroid(Seq, Transfer)
% Sequence - defines the asteroids to be visited in [index+11] type
% Times - defines the times for the fly by
%--------------------------------------------------------------------------
% Initialization
 muSun = astroConstants(4);
 DAY2SEC=24*3600;
 
% Launch Model
t0 = Transfer(1); 
t1 = Transfer(1)+Transfer(2); 


% Earth Launch with Soyuz-Fregat-like
vInf = 0; %km/s

% Lambert Arc Generation
    % Departure: inertial coordinates and velocity
    [sE(1:3), sE(4:6)] = EphSS_car(Seq(1), t0); 
    % Arrival: inertial coordinates and velocity of the asteroid
    [sA(1:3), sA(4:6)] = EphSS_car(Seq(2), t1); 

    % Options
    multirev = 0; 
    energy = 0; 
    [~, ~, ~, error, vI, vF, ~, ~] = ...
        lambertMR(sE(1:3), sA(1:3), (t1-t0)*DAY2SEC, muSun, 0, multirev, energy, 0);
    switch error
        case 1
            warning('lambertMR routine failed to converge');
        case -1
            warning('lambertMR: 180 degrees transfer not allowed');
        case 2
            warning('lambertMR:  360 degrees transfernot allowed');
        case 3
            warning('lambertMR:the algorithm does not converge because the number of revolutions is bigger than Nrevmax for that TOF');
        case 4
            warning('Routine failed to converge, maximum number of iterations exceeded.');
        otherwise
            
    end
    % Results Transfers
    dv = (norm(vI-sE(4:6))-vInf)*(norm(vI-sE(4:6))-vInf>=0); %when a dv<0 is needed it gives 0 why?
    
    Sc_SV_FB=[sA(1:3) vF]; % Arrival: inertial coordinates and velocity of the spacecraft
    As_SV_FB=[sA(1:3) sA(4:6)];

end
