function [SOL] = wrap_DynProgramming(INPUT, iSP, folder)

try 
    ephNEO('load','ephNEO_CATABC.txt');
catch
end

OptionsMultiRev = INPUT.OptionsMultiRev;

% --> first step of dynamic programming
[LEGS, VAS, EPH, n, tocvec, nsols, N_ASTS] = wrap_DynProgr_st1(INPUT, iSP);
nsols;

ind = size(nsols,1)+1;

% --> STEP 2 : add the contribution of next levels
tic2 = tic;
while n < INPUT.astMax
    
    % --> next step of dynamic programming
    n             = n + 1;
    [LEGSn, VASn] = wrap_DynProgr_st2(INPUT, n, EPH, LEGS, VAS);
    
    if ~isempty(LEGSn)
        LEGS   = LEGSn;
        VAS    = VASn;

        N_ASTS = [N_ASTS; length(unique(reshape(LEGS(:,3:2:end), 1, size(LEGS(:,3:2:end),1)*size(LEGS(:,3:2:end),2))))];
    else
        break
    end
    
    nsols(ind,1) = size( LEGSn,1 );
    nsols;
    ind = ind + 1;
    
end
toc2   = toc(tic2);
tocTot = tocvec + toc2;

costTOT        = sum(LEGS(:,2:2:end-1),2); % --> cost of the tour
[minCost, row] = min(costTOT);
LEGrow         = LEGS(row,:);
path           = constructPath_BS(LEGrow, EPH, OptionsMultiRev);
ids            = path(:,1)';
ids(ids < 11)  = [];
Nasts          = length(ids);

SOL.N_ASTS_LEV      = N_ASTS;
SOL.LEGS            = LEGS;
SOL.VAS             = VAS;
SOL.EPH             = EPH;
SOL.costTOT_legs    = costTOT;
SOL.path_best_DV    = path;
SOL.cost_best_path  = minCost;
SOL.tofy_best_path  = (path(end,2) - path(1,2))/365.25;
SOL.Nasts           = Nasts;
SOL.tocTOT          = tocTot;
SOL.nsols           = nsols;

saveSOL(folder, iSP, 1e99, SOL);

end
