function [LEGS, cost, triplets, N_ASTS, PROBABILITY] = antDownTheTree_ACO(LEGS, VAS, astlist,...
    EPH, tols, astMax, visited, alpha, beta, beam, p0)

% This function allows for tree exploration of asteroid tours within the
% ACO framework. In particular, it computes sequences of asteroids based
% upon ACO strategies.

N_ASTS         = struct('asts', cell(astMax,1));
N_ASTS(1).asts = unique(LEGS(:,end), 'stable');
PROBABILITY    = struct('prob', cell(astMax,1));

for indant = 1:astMax-1
    
    indant+1;
    
    % --> next asteroids
    [LEGSnext, VASnext] = search_ACO(LEGS, VAS, astlist, EPH, tols);

    % --> eliminate too 'late' asts.
    [LEGSnext, VASnext] = eliminateTooLateAsts_ACO(LEGSnext, VASnext, astlist, astMax);
    
    % --> choose next node
    [LEGS, VAS, ~, PROBnext] = computeNextNode_ACO(LEGSnext, VASnext, visited, alpha, beta, beam, p0);
    
    % --> unique asteroids on the three level
    N_ASTS(indant+1).asts = unique(LEGS(:,end), 'stable');
    
    % --> probability
    PROBABILITY(indant+1).asts = PROBnext;
    
end
cost     = sum(LEGS(:,2:2:end-1),2); % --> cost of the tour
triplets = sequenceToTriplets(LEGS); % --> triplets

end