function [list] = computeDVsNext_ACO(as1, vvin, astLISTe, EPH, tols, OptionsMultiRev)

% --> eliminate Earth and Mars from the list
astLISTe(astLISTe(:,1) == 3,:) = [];
astLISTe(astLISTe(:,1) == 4,:) = [];

% --> encounter epoch of first asteroid
t1 = EPH(EPH(:,1) == as1, 2);

%--> find all the reachable points from the one at which you are now
astLISTe(astLISTe(:,1) == as1,:) = [];
LIST  = astLISTe(astLISTe(:,2) >= t1, :);

list = zeros(size(LIST,1), size(LIST,2)+1+3);
for indlist = 1:size(LIST,1)
   
    % --> compute the DV between two asteroids
    as2 = LIST(indlist,1);
    [dv, vvf] = nextLegs_Seqs(as1, vvin, as2, EPH, OptionsMultiRev);
    
    % --> save the new list
    list(indlist,:) = [LIST(indlist,:) dv vvf];
    
end
% --> prune those with too high DSMp
list( list(:,3) > tols(3) ,:) = [];

end