function [visited] = updatePheromone(ant, rho, visited)

nants = size(ant,2);

for k = 1:nants
    triplets = ant(k).triplets;
    if isempty(visited) % --> solo alla prima ant
        visited      = triplets;
        visited(:,4) = 1;
    else % --> trova tutte le triplette non contenute in visited e aggiungile con pher=1
        [~, Locb] = ismember(triplets, visited(:,1:3), 'rows');
        visited = [visited; [triplets(Locb == 0,:) ones(size(triplets(Locb == 0,:),1),1)]]; % --> the triplet has never been visited
    end
end

% --> evaporation
visited(:,4) = (1 - rho).*visited(:,4);

% --> update the pheromone --> dtauij
for k = 1:nants
    triplets = ant(k).triplets;
    dtauij   = ant(k).dtauij;
    visited  = pheromoneUpdate_ACO(triplets, dtauij, visited); % --> find visited triplets and update
end

end