function [DV_pair, dv_full]=wrapper_ScoreMatrix_CASTPath_MARSSW_MR(SeqMenu,MatrixSummary_BC, tE, tM)

% here we are interested in the DV extra due to the transit between the
% last and the second last asteroid in vector SeqMenu. Thus, to make it
% simple I will simply compute the overall trajectory twice, however,
% probably it is faster to map all the different cases and understand which
% DV in dvSplit need to be summed up.

%--------------------------------------------------------------------------
%% DV sequence with one less asteroid
SeqMenu_partial      = SeqMenu;
SeqMenu_partial(end) = [];

% Build Sequence:
Sequence = [3 tE; 4 tM];
for iS=1:length(SeqMenu_partial)
    Sequence = [Sequence; MatrixSummary_BC(SeqMenu_partial(iS),1)+11 MatrixSummary_BC(SeqMenu_partial(iS),4)];    
end
% Sort Sequence
[~,indSort] = sort(Sequence(:,2));
Sequence    = Sequence(indSort,:);
% Split to input
SeqInput = Sequence(:,1)';
Times    = Sequence(:,2)';
% Run transfer
[dv_partial] = Transfer_CASTAway_MarsSW_SeqMR(SeqInput, Times);

%% Full sequence
% Build Sequence:
Sequence = [3 tE; 4 tM];
for iS = 1:length(SeqMenu)
    Sequence = [Sequence; MatrixSummary_BC(SeqMenu(iS),1)+11 MatrixSummary_BC(SeqMenu(iS),4)];    
end

% Sort Sequence
[~,indSort] = sort(Sequence(:,2));
Sequence    = Sequence(indSort,:);
% Split to input
SeqInput = Sequence(:,1)';
Times    = Sequence(:,2)';
% Run transfer
[dv_full] = Transfer_CASTAway_MarsSW_SeqMR(SeqInput, Times);

DV_pair = dv_full - dv_partial;

if length(unique(SeqInput)) < length(SeqInput)  
   DV_pair=999; 
end

end