function [LEGS, VAS, DSMtot] = bellmanExp_forward(as2, idm, astMax, astLISTe, EPH, tols, bw, vva2)

% --> first leg : UP
[LEGS, VAS] = fistLeg_up(as2, astLISTe, EPH, vva2, tols);

% --> next legs : UP
LEGSnext = 1;
ind      = 2;
while ~isempty(LEGSnext) && ind < astMax-idm+2
    [LEGSnext, VASnext] = search_forward(LEGS, VAS, astLISTe, EPH, tols);
    
    % --> prune
    dvt   = sum(LEGSnext(:,2:2:end-1),2);
    indxs = find(dvt > tols(:,2) & dvt > tols(4));
    LEGSnext(indxs,:) = [];
    VASnext(indxs,:)  = [];
    
    [LEGSnext, VASnext] = applyBW_DSMt(LEGSnext, VASnext, bw);
    if ~isempty(LEGSnext)
        LEGS = LEGSnext;
        VAS  = VASnext;
    end
    ind = ind + 1;
end

DSMtot       = DVseq(LEGS);
DSMtot       = [DSMtot [1:1:size(DSMtot,1)]'];
DSMtot       = sortrows(DSMtot, 1);
LEGS         = LEGS(DSMtot(:,2),:);
VAS          = VAS(DSMtot(:,2),:);

end