function [list, VVD] = computeDVsNext_bellman(as1, rr1, vvin, t1, astLISTe, EPH, tols)

muSun = 132712440018;

%--> find all the reachable points from the one at which you are now
astLISTe(astLISTe(:,1) == as1,:) = [];
LIST  = astLISTe(astLISTe(:,2) >= t1,:);

list = zeros(size(LIST,1), size(LIST,2)+1+3);
VVD  = zeros(size(LIST,1), 3);
for indlist = 1:size(LIST,1)

    % --> extract the info
    as2 = LIST(indlist,1);
    t2  = LIST(indlist,2);
    rr2 = EPH( EPH(:,1) == as2, 3:5);

    % --> solve the Lambert problem
    [vvd, vvf] = lambertMR_vA(rr1, rr2, (t2 - t1)*86400, muSun, 0, 0);

    % --> compute the DV
    if as1 == 4
        vv1 = EPH( EPH(:,1) == as1, 6:8);
        dv = find_DV_defect(vvin - vv1, vvd - vv1, as1);
    else
        dv = norm(vvd - vvin);
    end

    % --> save the new list
    list(indlist,:) = [LIST(indlist,:) dv vvf];
    VVD(indlist,:)  = vvd;
end
% --> prune those with too high DSMp
VVD( list(:,3) > tols(3) ,:)  = [];
list( list(:,3) > tols(3) ,:) = [];


end