function [list, vinfs] = computeDVsPrev(as2, rr2, vvdep, t2, astLISTe, EPH, tols)

muSun = 132712440018;

%--> find all the reachable points before the one at which you are now
astLISTe(astLISTe(:,1) == as2,:) = [];
LIST  = astLISTe(astLISTe(:,2) <= t2,:);

list  = zeros(size(LIST,1), size(LIST,2)+1+3);
vinfs = zeros(size(LIST,1), 1);
for indlist = 1:size(LIST,1)
   
    as1 = LIST(indlist,1);
    t1  = LIST(indlist,2);
    rr1 = EPH( EPH(:,1) == as1, 3:5);
    vv1 = EPH( EPH(:,1) == as1, 6:8);
    
    % --> solve the Lambert problem
    [vvd, vvf] = lambertMR_vA(rr1, rr2, (t2 - t1)*86400, muSun, 0, 0);
    
    % --> compute DV
    if as2 == 4
        vv2 = EPH( EPH(:,1) == as2, 6:8);
        dv  = find_DV_defect(vvf - vv2, vvdep - vv2, as2);
    else
       dv = norm(vvf - vvdep);
    end
    % --> save the new list
    list(indlist,:)  = [LIST(indlist,:) dv vvd];
    vinfs(indlist,:) = norm(vvd - vv1);
    
end

% --> prune those with too high DSMp
vinfs( list(:,3) > tols(3) ,: ) = [];
list(  list(:,3) > tols(3) ,:)  = [];

end