function [LEGS, VAS] = fistLeg_up(as1, astLISTe, EPH, vva2, tols)

%--> find all the reachable points from the one at which you are now
t1  = EPH(EPH(:,1) == as1, 2); 
astLISTe(astLISTe(:,1) == as1,:) = [];
LIST  = astLISTe(astLISTe(:,2) >= t1,:);

LEGS = zeros(size(LIST,1), 3);
VAS  = zeros(size(LIST,1), 3);
for indlist = 1:size(LIST,1)
    
    as2             = LIST(indlist,1);
    [vvd, vva]      = lambertAsteroids(as1, as2, EPH);
    if isempty(vva2)
        dv  = NaN;
        vva = [NaN NaN NaN];
    else
        dv              = norm(vva2 - vvd);
    end
    if dv <= tols(3) % --> apply the tolerance over the DSMp
        LEGS(indlist,:) = [as1 dv as2];
        VAS(indlist,:)  = vva;
    end
    
end
LEGS = LEGS(~all(LEGS == 0, 2),:); % --> eliminate rows all equal to zero
VAS  = VAS(~all(VAS == 0, 2),:);   % --> eliminate rows all equal to zero

end