function [vvd, vva] = lambertAsteroids(as1, as2, EPH)

% --> given two asteroids compute the Lambert arc

% --> gravitational parameter of the Sun
muSun = 132712440018;

t1  = EPH(EPH(:,1) == as1, 2);
rr1 = EPH(EPH(:,1) == as1, 3:5);
t2  = EPH(EPH(:,1) == as2, 2);
rr2 = EPH(EPH(:,1) == as2, 3:5);

% --> solve the Lambert problem
[vvd, vva] = lambertMR_vA(rr1, rr2, (t2 - t1)*86400, muSun, 0, 0);

end