function [LEGSnext, VDSnext] = search_back(LEGS, VDS, astLISTe, EPH, tols)

LEGSnext = zeros(15e6, size(LEGS,2)+2);
VDSnext  = zeros(15e6, 3);
ind = 1;
for indl = 1:size(LEGS,1)

    indl/size(LEGS,1)*100;
    
    % --> extract the info
    legprev = LEGS(indl,:);
    as2     = legprev(1);
    vvdep   = VDS(indl,:);
    t2      = EPH( EPH(:,1) == as2, 2);
    rr2     = EPH( EPH(:,1) == as2, 3:5);

    [list, vinfs] = computeDVsPrev(as2, rr2, vvdep, t2, astLISTe, EPH, tols);
    
    % --> construct the legs
    legnext      = [list(:,1) vinfs legprev.*ones(size(list,1), size(legprev,2))];
    legnext(:,4) = list(:,3); 
    vdsnext      = list(:,end-2:end);
    
    % --> apply pruning over the DSMtot
    costDSMs = DVseq(legnext(:,3:end));
    legnext( costDSMs > tols(4),:)  = [];
    vdsnext( costDSMs > tols(4), :) = [];

    LEGSnext(ind:ind-1+size(legnext,1),:) = legnext;
    VDSnext(ind:ind-1+size(legnext,1),:)  = vdsnext;
    ind = ind + size(legnext,1);
    
end
LEGSnext = LEGSnext(~all(LEGSnext == 0, 2),:); % --> eliminate rows all equal to zero
VDSnext  = VDSnext(~all(VDSnext == 0, 2),:);   % --> eliminate rows all equal to zero

end