function plotTrajAsts(seq, ts)

% --> gravitational parameter of the Sun
muSun = 132712440018;
AU    = 149597870.691;

hold on; grid on;

for inds = 1:length(seq)-1
   
    % --> ephemerides
    [rr1] = EphSS_car(seq(inds), ts(inds));
    [rr2] = EphSS_car(seq(inds+1), ts(inds+1));
    
    % --> solve the Lambert problem for the first leg
    [vvd] = lambertMR_vA(rr1, rr2, (ts(inds+1) - ts(inds))*86400, muSun, 0, 0);
    
    tt = 0:500:(ts(inds+1) - ts(inds))*86400;
    [~, yy] = propagateKepler(rr1, vvd, tt, muSun);

    plot(yy(:,1)./AU, yy(:,2)./AU, 'b', 'linewidth', 2);
    
    plot(yy(1,1)./AU, yy(1,2)./AU, 'r.', 'markersize', 15);
    plot(yy(end,1)./AU, yy(end,2)./AU, 'r.', 'markersize', 15);
        
end

end