function [indASTs] = checkIndAst(OUTPUT)

% Before running the search, check the available first asteroids. This
% provides estimation on the running time and the possible paths to
% explore.

indASTs = zeros(size(OUTPUT.astLISTe,1),2);
for indi = 1:size(OUTPUT.astLISTe,1)
    ast  = OUTPUT.astLISTe(indi,1);
    LEGS = OUTPUT.DEP(OUTPUT.DEP(:,3) == ast , :);
    
    if ~isempty(LEGS)
        indASTs(indi,1) = indi;
        indASTs(indi,2) = ast;
    end
end
indASTs = indASTs(~all(indASTs == 0, 2),:);     % --> eliminate rows all equal to zero

end