function [j, TAU] = computeProbability(VISITED, allAvailable, ant, it, eta, alpha, beta)

% VISITED : is the matrix with all the visited segments

if ant == 1 && it == 1
    
    tau = ones(size(eta,1),1);
    
    % evaluate the probability to select a flyby or a DSM
    P = (tau.^alpha.*eta.^beta)./sum(tau.^alpha.*eta.^beta);
    
    % select the new node based upon the probability
    j = RouletteWheelSelection(P);
    
    TAU = tau(j);
    
else

    tau = ones(size(eta,1),1);
    
    [LIVIS, ~] = ismembertol(VISITED(:,1:end-1), allAvailable(:,1:11), 'ByRows', true);
    idxsVIS    = find(LIVIS == 1);
    [LIAVA, ~] = ismembertol(allAvailable(:,1:11), VISITED(:,1:end-1), 'ByRows', true);
    idxsAVA    = find(LIAVA == 1);
    
    if isempty(idxsVIS)
        
        % evaluate the probability
        P = (tau.^alpha.*eta.^beta)./sum(tau.^alpha.*eta.^beta);
        
        % select the new node based upon the probability
        j = RouletteWheelSelection(P);
        
        TAU = tau(j);
        
    else
        
        tau(idxsAVA) = VISITED(idxsVIS,end);
        
        % evaluate the probability
        P = (tau.^alpha.*eta.^beta)./sum(tau.^alpha.*eta.^beta);
        
        % select the new node based upon the probability
        j = RouletteWheelSelection(P);
        
        TAU = tau(j);
        
    end
    
end

end