function [path] = constructPathFromLEGS(LEGrow, OUTPUT)

% --> find the asteroids sequence
IDX = LEGrow(:,1:2:end)';

% --> find the visiting epochs
epochs    = findTimes(IDX', OUTPUT.astLISTe);

% --> find DVs and arrival velocities at the asteroids
[~, ~, dv, ~, ~, VAS] = costFunctionSeq(IDX, OUTPUT.EPH);
VAS = [[0 0 0]; VAS];
dv  = [0 dv];

% --> save the path
path(:,1)   = IDX;
path(:,2)   = epochs';
path(:,3:5) = VAS;
path(:,6)   = dv';

end