function [path] = constructPathFromLEGS_v2(LEGrow, astLISTe, EPH, OptionsMultiRev)

% --> find the asteroids sequence
IDX = LEGrow(:,1:2:end)';
IDX = [IDX; 4];
IDX = unique(IDX);

% --> find the visiting epochs
epochs = findTimes(IDX', astLISTe);

IDX    = [IDX epochs'];
IDXs   = sortrows(IDX,2);
IDX    = IDXs(:,1);
epochs = IDXs(:,2);

% --> find DVs and arrival velocities at the asteroids
[~, ~, dv, ~, ~, VAS] = costFunctionSeq(IDX, EPH, OptionsMultiRev);
VAS = [[0 0 0]; VAS];
dv  = [0 dv];

% --> save the path
path(:,1)   = IDX;
path(:,2)   = epochs';
path(:,3:5) = VAS;
path(:,6)   = dv';

end
