function [Tours] = extractRoutes(Struc, bw, tolDSM, tE)

lastLev = size(Struc,2);

Cost = [Struc(:,lastLev).Cost];

jS = find(Cost<=tolDSM);

for indi = 1:length(jS)
    
    clear route;
    
    route = Struc(lastLev).Level(jS(indi),:);
    nIt   = 1;
    
    j = ceil(jS(indi)/bw);
    
    for levels = lastLev-1:-1:2
        nIt   = nIt + 1;
        route = [route; Struc(levels).Level(j,:)];
        j     = ceil(j/bw);
    end
    
    route = flipud(route);
    tour  = [[3 tE 0 0 0 0]; [Struc(:,1).Level]; route];
    
    Tours(indi).route   = tour;
    Tours(indi).NAster  = length(find(tour(:,1)~=4));
    Tours(indi).VinfDep = tour(2,6);
    Tours(indi).DSM     = sum(tour(3:end,6));
    Tours(indi).TOF     = (tour(end,2) - tour(1,2))/365.25;
    checkMarsFlyby = find(tour(:,1)==4);
    if isempty(checkMarsFlyby)
        Tours(indi).Mars_Flyby = 'No';
    else
        Tours(indi).Mars_Flyby = 'Yes';
    end


end

end