function [dv] = find_DV_defect(vvrel_A, vvrel_D, pl)

% DESCRIPTION : 
% this function computes the DV-defect at a given planet assuming a minimum
% 200 km altitude for the flyby.
%
% INPUT : 
% - vvrel_A : incoming infinity velocity vector (km/s)
% - vvrel_D : outgoing infinity velocity vecotr (km/s)
% 
% OUTPUT :
% - dv : DV-defect (km/s)

[muPL, radius] = planetConstants(pl);
rpmin          = maxmin_flybyAltitude(pl) + radius;

dv = findDV(vvrel_A, vvrel_D, muPL, rpmin);

end