function [Vsc_Asteroid, dv, dvSplit] = firstLeg(Sequence, Times)

muSun  = astroConstants(4);
muMars = 42828.0184128135;
RMars  = 3389.92;

% Launch Model
t0 = Times(1);
t1 = Times(2);

% Earth Launch with Soyuz-Fregat-like
vInf = 0; %km/s

% Initial Tranfer Guess
Seq = Sequence;

%--------------------------------------------------------------------------
% Lambert Arc Generation
% Departure
[sE(1:3), sE(4:6)] = EphSS_car(Seq(1), t0); % Departure

% Arrival
[sA(1:3), sA(4:6)] = EphSS_car(Seq(2), t1); % Arrival

% Options
multirev = 0;
energy   = 0;
[~, ~, ~, ~, vI, vF, ~, ~] = ...
    lambertMR(sE(1:3), sA(1:3), (t1-t0)*86400, muSun, 0, multirev, energy, 0);

% Results Transfers
dv           = (norm(vI-sE(4:6))-vInf)*(norm(vI-sE(4:6))-vInf>=0);
Vsc_Asteroid = vF;

% Apply SwingBy is second object is mars
if Seq(2) == 4

    % Applying SwingBy Manoeuvre at Mars
    % Mars Swing-by
    VArr2Mars = vF;
    vinf1     = VArr2Mars-sA(4:6);
    
    % As Rosetta, CASTAway should aim at a 250 km altitude fly-by as a maximum
    % close encounter.
    rpFB = RMars+250;
    
    n_r = cross(vinf1,sA(4:6)); % Reference vector
    n_r = n_r/norm(n_r);
    
    gamma = 0;
    
    vinf2 = swingby(vinf1,rpFB,muMars,gamma,n_r)';
    
    vDepSW_mars = vinf2+sA(4:6);
    
    % Departure conditions after Mars Swing By
    Vsc_Asteroid = vDepSW_mars;

end

dvSplit = dv;

end