function [LEGS, VAS, VDS] = firstLeg_v2(as1, as2, EPH, OptionsMultiRev, ind)

% --> gravitational parameter of the Sun
muSun = 132712440018;

% --> extract the info from ephemerides
indxs = find(EPH(:,1) == as1);
indxs = indxs(1);
t1    = EPH(indxs, 2);
rr1   = EPH(indxs, 3:5);
vv1   = EPH(indxs, 6:8);

EPH_temp = EPH(1:ind,:);
indxs    = find(EPH_temp(:,1) == as2);
indxs    = indxs(end);
t2       = EPH_temp(indxs,2);
rr2      = EPH_temp(indxs, 3:5);

% --> solve the Lambert problem for the first leg --> only 1 feasible solution
[vdep, vvd, vvf] = lambert_MR_opts(vv1, rr1, rr2, (t2 - t1)*86400, muSun, OptionsMultiRev);

% --> save the LEGS and previous arrival velocities
LEGS = [as1 vdep as2];
VAS  = vvf;
VDS  = vvd;

end
