function [LEGSnext] = search(LEGS, OUTPUT, tolCostTot)

% DESCRIPTION :
% this function perform the search for the next available asteroids,
% reachable from the current one.

ind      = 1;
LEGSnext = zeros(10e6, size(LEGS,2)+2);
for indi = 1:size(LEGS,1)
    
%     indi/size(LEGS,1)*100
       
    legprev = LEGS(indi,:);
    
    as1 = legprev(:,end-2);
    as2 = legprev(:,end);
    
    % --> search the available options    
    legsnext = [ OUTPUT.DV( OUTPUT.TRIPLETS(:,1) == as1 & OUTPUT.TRIPLETS(:,3) == as2 ) OUTPUT.TRIPLETS( OUTPUT.TRIPLETS(:,1) == as1 & OUTPUT.TRIPLETS(:,3) == as2, 5 )];
    
    % --> prune those exceeding the total DSM and the total cost 
    [~, ~, ~, DSMtot]                   = DVseq([legprev.*ones(size(legsnext,1), size(legprev,1)) legsnext]);
    legsnext(DSMtot > OUTPUT.tols(2),:) = [];
    [costTOT]                           = DVseq([legprev.*ones(size(legsnext,1), size(legprev,1)) legsnext]);
    legsnext(costTOT > tolCostTot,:)    = [];
    
    LEGSnext(ind:ind-1+size(legsnext,1),:) = [legprev.*ones(size(legsnext,1), size(legprev,1)) legsnext];
    ind                                    = ind + size(legsnext,1);
    
end
LEGSnext = LEGSnext(~all(LEGSnext == 0, 2),:);     % --> eliminate rows all equal to zero
LEGSnext = sortrows(LEGSnext, size(LEGSnext,2)-1);

end