function [LEGSnext, VASnext] = search_v2(LEGS, VAS, astLISTe, EPH, tols)

LEGSnext = zeros(15e6, size(LEGS,2)+2);
VASnext  = zeros(15e6, 3);
ind = 1;
for indl = 1:size(LEGS,1)
    
    indl/size(LEGS,1)*100
    
    % --> extract the info
    legprev = LEGS(indl,:);
    as1     = legprev(end);
    vvin    = VAS(indl,:);
    t1      = EPH( EPH(:,1) == as1, 2);
    rr1     = EPH( EPH(:,1) == as1, 3:5);
    
    % --> compute next asteroids
    list = computeDVsNext(as1, rr1, vvin, t1, astLISTe, EPH, tols);    
    
    % --> construct the legs
    legnext = [legprev.*ones(size(list,1), size(legprev,2)) list(:,3) list(:,1)];
    vasnext = list(:,end-2:end);
    
    % --> check if the total cost exceeds the tolerance
    costTOT = DVseq(legnext);
    legnext( costTOT > tols(4),:)  = [];
    vasnext( costTOT > tols(4), :) = [];
    
    % --> check if the DSMtot exceeds the tolerance
    [~, ~, ~, DSMtot] = DVseq(legnext);
    legnext( DSMtot > tols(2),:)  = [];
    vasnext( DSMtot > tols(2), :) = [];
    
    LEGSnext(ind:ind-1+size(legnext,1),:) = legnext;
    VASnext(ind:ind-1+size(legnext,1),:)  = vasnext;
    ind = ind + size(legnext,1);
    
end
LEGSnext = LEGSnext(~all(LEGSnext == 0, 2),:); % --> eliminate rows all equal to zero
VASnext  = VASnext(~all(VASnext == 0, 2),:);   % --> eliminate rows all equal to zero

end