%% Script_Step1_BranchSeed_EMLeg_v0.m
%--------------------------------------------------------------------------
% Porkchoping to delimit search space
%--------------------------------------------------------------------------
% 1. General PorkChop of launch window for Mars Transfers 
nNodes        = 100;
ToFVector     = linspace(500, 900, nNodes);
tLaunchVector = linspace(t0,  tf,  nNodes);

raMatrix      = NaN*zeros(length(tLaunchVector),length(ToFVector));
raP2Matrix    = NaN*zeros(length(tLaunchVector),length(ToFVector));
dryMassMatrix = NaN*zeros(length(tLaunchVector),length(ToFVector));
for itL = 1:length(tLaunchVector)  
    for iT = 1:length(ToFVector)       
        [raE,raP2,dryMass] = Transfer_CASTAway_marsSW_rA_A62( tLaunchVector(itL), ToFVector(iT));
        if raE ~= 0
            raMatrix(itL,iT)      = raE;
            raP2Matrix(itL,iT)    = raP2;
            dryMassMatrix(itL,iT) = dryMass;
        end
    end
end

%--------------------------------------------------------------------------
% MORE CONSTRAINED SEARCH
MassThreshold = 900;
len           = 0;
tlW           = [t0:5:tf];
ToFw          = linspace(500, 900, nNodes);
indpts        = 1;
Points2Search = zeros(length(tlW)*length(ToFw), 3);

for iT = 1:length(tlW)
    
    tL = tlW(iT);
    
    for itof = 1:length(ToFw)
        ToF = ToFw(itof);
        [raE, raP2, dryMass] = Transfer_CASTAway_marsSW_rA_A62(tL ,ToF);
        if (dryMass > MassThreshold)
            Points2Search(indpts,:) = [ tL ToF dryMass];
            indpts                  = indpts + 1;
        end
    end
    
end
indxs                  = find(Points2Search(:,1) == 0);
Points2Search(indxs,:) = [];

figure 
contourf(tLaunchVector,ToFVector,dryMassMatrix')
hold on
plot(Points2Search(:,1),Points2Search(:,2),'.')
  
%     [~,indexSort] = sort(Points2Search(:,3), 'descend');
%     % NOTE(PAU):This has been modified to explore only 1 Point
%     Points2Search=Points2Search(indexSort(1), :);
%--------------------------------------------------------------------------
