function [] = constructPath(LEGrow, EPH, OptionsMultiRev)

mu = 132724487690;

% --> check if there are planets in the middle of the sequence
PLS      = EPH(EPH(:,1) < 11, :);
asts     = LEGrow(3:2:end);
epochsAs = findTimes(asts, EPH(:,1:2));
states   = findEPH(asts, EPH);
ASTS     = [ [asts' epochsAs' ] states ];

SEQ = [ PLS; ASTS ];
SEQ = sortrows(SEQ,2);

dv = zeros(size(SEQ,1)-1,1);
for inds = 1:size(SEQ,1)-1

    as1 = SEQ(inds,1);
    t1  = SEQ(inds,2);
    t2  = SEQ(inds+1,2);

    rr1 = SEQ(inds,3:5);
    vv1 = SEQ(inds,6:8);
    rr2 = SEQ(inds+1,3:5);
    vv2 = SEQ(inds+1,6:8);
    
    if inds == 1
        % --> solve LP for the first leg
        [dv(inds), ~, vvf] = lambert_MR_opts(vv1, rr1, rr2, (t2 - t1)*86400, mu, OptionsMultiRev);
    else
        if as1 < 11
            [dv(inds), ~, vvf] = lambert_MR_opts_flyby(vvf, vv1, as1, rr1, rr2, (t2 - t1)*86400, mu, OptionsMultiRev);
        else
            [dv(inds), ~, vvf] = lambert_MR_opts(vvf, rr1, rr2, (t2 - t1)*86400, mu, OptionsMultiRev);
        end
    end

end

end
