function [NREV] = findMultiRevOpts_firstLeg(path)

mu = 132724487690;

pl1 = path(1,1);
pl2 = path(2,1);
t1  = path(1,2); 
t2  = path(2,2);

dvs = path(2:end,end);

[rr1, vv1] = EphSS_car_m(pl1, t1);
rr2        = EphSS_car_m(pl2, t2);
tofd       = t2 - t1;

NumRevMax = maxRev_LP(tofd, rr1, rr2);

OptionsMultiRev = [0 0; 1 0; 1 1];
indexDel        = find(OptionsMultiRev(:,1)>NumRevMax);
OptionsMultiRev(indexDel,:)=[];

diffSol = zeros(length(OptionsMultiRev(:,1)),1);
vI      = zeros(length(OptionsMultiRev(:,1)),3);
vF      = zeros(length(OptionsMultiRev(:,1)),3);
for iO = 1:length(OptionsMultiRev(:,1))
    
    multirev = OptionsMultiRev(iO,1);
    energy   = OptionsMultiRev(iO,2);
    
    [~, ~, ~, ~, vI(iO,:), vF(iO,:), ~, ~] = ...
            lambertMR(rr1, rr2, tofd*86400, mu, 0, multirev, energy, 0);
        
    diffSol(iO,:) = abs( norm(vI(iO,:) - vv1) - dvs(1) );
    
end

[~, row] = min(diffSol);
multirev = OptionsMultiRev(row,1);
energy   = OptionsMultiRev(row,2);
NREV     = [0; multirev; energy];

nlambert = size(path,1)-2;
NREV     = [NREV zeros(3,nlambert)];

end