function [LB, UB, nfbpl, nres] = generateLBUB(seq, t0, tofs, manAsts)

if nargin == 3
    manAsts = 0;
end

nfbpl  = length(seq(seq<11)) - 1;

t0l = 2;
tl  = 5;

t0min  = t0 - t0l;
t0max  = t0 + t0l;

tofmin = [(tofs - tl).*((tofs - tl)>=0)];
tofmax = [tofs + tl];

kmin   = 0 .* ones( nfbpl , 1 );
kmax   = 2*pi .* ones( nfbpl , 1 );
rpmin  = 1.06 .* ones( nfbpl , 1 ) ;
rpmax  = 8 .* ones( nfbpl , 1 ) ;
amin   = 0 .* ones( nfbpl , 1 );
amax   = 0.5 .* ones( nfbpl , 1 );

fbmin = [];
fbmax = [];
for ind = 1:length(rpmin)
    fbmin = [fbmin [kmin(ind) rpmin(ind) amin(ind)]];
    fbmax = [fbmax [kmax(ind) rpmax(ind) amax(ind)]];
end

nfbas    = length(seq(seq>=11)) - 1;

if manAsts == 0 || isempty(manAsts)
    aminas   = 0 .* ones( nfbas , 1 )';
    amaxas   = 0 .* ones( nfbas , 1 )';
else
    aminas   = 0 .* ones( nfbas , 1 )';
    amaxas   = 0.5 .* ones( nfbas , 1 )';
end

LB = [t0min tofmin fbmin aminas];
UB = [t0max tofmax fbmax amaxas];

nres = length(LB); % --> number of variables to be optimized

end
