function [dvmin, VVD, VVA, dv, vvd, vva, optMR] = lambert_MR_opts(vel, rr1, rr2, tof, mu, OptionsMultiRev)

% --> check the max. revs. you can have for the given transfer
tof_days   = tof / 86400;
sma_min    = 1/4 * (norm(rr1) + norm(rr2) + norm(rr2 - rr1));
P_min_days = 2*pi*sqrt(sma_min^3/mu)/86400;
NumRevMax  = floor(tof_days/P_min_days);

% --> prune revolutions that are not necessary
OptionsMultiRev(OptionsMultiRev(:,1) > NumRevMax,:) = [];

% --> solve the MRLP and pick the best DV w.r.t. the vel specified
vvd   = zeros(length(OptionsMultiRev(:,1)) , 3);
vva   = zeros(length(OptionsMultiRev(:,1)) , 3);
dvv   = zeros(length(OptionsMultiRev(:,1)) , 3);
for iO = 1:length(OptionsMultiRev(:,1))

%     [~,~,~,~, vvd(iO,:), vva(iO,:)] = ...
%         lambertMR(rr1, rr2, tof, mu, 0,...
%             OptionsMultiRev(iO,1), OptionsMultiRev(iO,2), 0);
        
    [vvd(iO,:),vva(iO,:)] = lambertMR_vA_mex(rr1, rr2, tof, mu, OptionsMultiRev(iO,1), OptionsMultiRev(iO,2));
    
    dvv(iO,:) = vvd(iO,:) - vel;
    
end
dv = vecnorm(dvv')';

[dvmin, row] = min(dv);
VVD          = vvd(row,:);
VVA          = vva(row,:); 
optMR        = OptionsMultiRev(row,:);

end

