function [dvmin, vvd, vva, optMR] = lambert_MR_opts_flyby(vel, vpl, pl, rr1, rr2, tof, mu, OptionsMultiRev)

% --> check the max. revs. you can have for the given transfer
tof_days   = tof / 86400;
sma_min    = 1/4 * (norm(rr1) + norm(rr2) + norm(rr2 - rr1));
P_min_days = 2*pi*sqrt(sma_min^3/mu)/86400;
NumRevMax  = floor(tof_days/P_min_days);

% --> prune revolutions that are not necessary
OptionsMultiRev(OptionsMultiRev(:,1) > NumRevMax,:) = [];

% --> solve the MRLP and pick the best DV w.r.t. the vel specified
vvd   = zeros(length(OptionsMultiRev(:,1)) , 3);
vva   = zeros(length(OptionsMultiRev(:,1)) , 3);
dv    = zeros(length(OptionsMultiRev(:,1)) , 1);
for iO = 1:length(OptionsMultiRev(:,1))
    
%     [~,~,~,~,vvd(iO,:),vva(iO,:)] = ...
%         lambertMR(rr1, rr2, tof, mu, 0,...
%             OptionsMultiRev(iO,1), OptionsMultiRev(iO,2), 0);
        
    [vvd(iO,:),vva(iO,:)] = lambertMR_vA_mex(rr1, rr2, tof, mu, OptionsMultiRev(iO,1), OptionsMultiRev(iO,2));
        
    dv(iO,:) = find_DV_defect(vel - vpl, vvd(iO,:) - vpl, pl);
end

[dvmin, row] = min(dv);
vvd          = vvd(row,:);
vva          = vva(row,:); 
optMR        = OptionsMultiRev(row,:);

end
