function [ vvd, vva ] = lambert_MRopts(rr1, rr2, tof, mu, OptsMR)

% --> solve MRLP as many times as specified in OptsMR

tof_days   = tof / 86400;
sma_min    = 1/4 * ( norm(rr1) + norm(rr2) + norm(rr2 - rr1) );
P_min_days = 2*pi*sqrt( sma_min^3/mu ) / 86400;
NumRevMax  = floor( tof_days / P_min_days );

OptsMR( OptsMR(:,1) > NumRevMax, : ) = [];

vvd = zeros( length(OptsMR(:,1)) , 3 );
vva = zeros( length(OptsMR(:,1)) , 3 );

for iO = 1:length(OptsMR(:,1))
    [vvd(iO,:), vva(iO,:)] = lambertMR_vA_mex( rr1, rr2, tof, mu, OptsMR(iO,1), OptsMR(iO,2) );
end

v               = vecnorm( vvd' )';
vvd(isnan(v),:) = [];
vva(isnan(v),:) = [];

end