function [J, jscoreVec] = legs2Jscore(LEGS)

% --> compute the J score for all the legs

J         = zeros(size(LEGS,1), 1);
jscoreVec = zeros(size(LEGS,1), 4);
for indl = 1:size(LEGS,1)
    
    seq         = LEGS(indl,1:2:end);
    seq(seq<11) = [];
    
    d  = zeros(1,length(seq));
    nd = zeros(1,length(seq));
    nr = zeros(1,length(seq));
    nf = zeros(1,length(seq));
    for inds = 1:length(seq)
        [d(inds), nd(inds), ns(inds), nr(inds), nf(inds)] = neoProperties(seq(inds));
    end
    
    ND                     = sum(d)/20;          % --> total diameter visited by SC
    ND_10                  = sum(nd);            % --> number of asteroids with D>10 km
    NR                     = length(unique(nr)); % --> number of different regions visited by SC
    NF                     = sum(nf);            % --> number of different families visited by SC
    NS                     = unique(ns);
    NS(contains(NS,'nan')) = [];
    NS                     = length(NS);         % --> number of different spectral types visited by SC
    
    % --> compute the Jscore vector 
    jscoreVec(indl,:) = [ ND_10, NS, NR, NF ];

    % --> compute the J score for the sequence
    J(indl,1) = ND + ND_10 + NS + NR + NR*(NR>2) + 2*NF ;

end

end