
currFolder = pwd;
newFolder  = [ pwd '\Functions Toolbox' ];

% --> mexify DEFECT function
kep = [1.58741802538375	0.433724240189087	0	0	2.36640227430306	5.50944300457325];
Ast1 = [2.76811159983347	0.0757544000000000	0.184859390866331	1.40187986414706	1.26943534267464	0.168194421437769];
try
    [MOID, E1, E2] = MOIDMilisavljevic_mex(kep, Ast1);
catch
    cd(newFolder);
    disp( 'No MOID mex function available... DYNAMIS creates it!!' );
    disp( 'Mexifying MOID function...' );
    codegen MOIDMilisavljevic -args {kep, Ast1}
    cd(currFolder);
    disp( 'Done!!' );
end

% --> mexify LAMBERT function
try
    [vvd, vva] = lambertMR_vA_mex(zeros(1,3),zeros(1,3),zeros(1,1),zeros(1,1),zeros(1,1),zeros(1,1));
catch
    cd(newFolder);
    disp( 'No Lambert mex function available... DYNAMIS creates it!!' );
    disp( 'Mexifying Lambert function...' );
    codegen lambertMR_vA_mex -args {zeros(1,3),zeros(1,3),zeros(1,1),zeros(1,1),zeros(1,1),zeros(1,1)}
    cd(currFolder);
    disp( 'Done!!' );
end

% --> mexify DEFECT function
newFolder2 = [ pwd '\ASTRA - opt\ASTRA - Engine\Transfer High  Thrust' ];
try
    cd(newFolder2);
    [dv, alpha, alpha_A] = findDV_mex(zeros(1,3),zeros(1,3),zeros(1,1),zeros(1,1));
catch
    disp( 'No defects mex function available... ASTRA creates it!!' );
    disp( 'Mexifying defects function...' );
    cd(newFolder2);
    codegen findDV -args {zeros(1,3),zeros(1,3),zeros(1,1),zeros(1,1)}
    cd(currFolder);
    disp( 'Done!!' );
end

cd(currFolder);
clear vvd; clear vva; clear dv; clear alpha; clear alpha_A; clear currFolder; clear newFolder;
clear newFolder2; clear kep; clear Ast1; clear E1; clear E2; clear MOID; clear currentPath;
