function [mass] = neoMass(id)

persistent neo

if isempty(neo)
    load('CATABC.mat');
    neo(:,1:6) = CATABC.kep; % --> (AU,deg) keplerian elements
    neo(:,7)   = string(CATABC.id);
    neo(:,8)   = string(CATABC.orb_ele_epoch);
    neo(:,9)   = zeros(length(CATABC.id),1);
    neo(:,10)  = CATABC.H;
    neo(:,11)  = CATABC.D; % --> (km) diameter
end

id = round(id) - 11;
if neo(id,9) ~= 0
    mass = neo(id,9);
else
    %   polynomial fit to the H-d diagram which gives the diameter of the NEO as a function of its magnitude.
    %   polynomial of fifth order, Note: NOT VERY ACCURATE!
    d    = -2.522e-2*neo(id,10)^5+3.2961*neo(id,10)^4-1.7249e2*neo(id,10)^3+4.5231e3*neo(id,10)^2-5.9509e4*neo(id,10)+3.1479e5;
    %   estimated mass of the NEO computed considering a density of 2 kg/dm^3
    mass = 4*pi/3*(0.5*d)^3*2*1000;
end

end