function [d, nd, ns, nr, nf, H] = neoProperties(id)

persistent neo sp

if isempty(neo)
    cat        = load('CATABC.mat');
    CATABC     = cat.CATABC;
    neo(:,1:6) = CATABC.kep;              % --> (AU,deg) keplerian elements
    neo(:,7)   = string(CATABC.id);
    neo(:,8)   = string(CATABC.orb_ele_epoch);
    neo(:,9)   = zeros(length(CATABC.id),1);
    neo(:,10)  = CATABC.H;
    neo(:,11)  = CATABC.D;                 % --> (km) diameter
end
if isempty(sp)
    cat    = load('CATABC.mat');
    CATABC = cat.CATABC;
    sp     = cell(CATABC.spec_type); % --> spectral type
end

% --> find families and regions
[smaFAM, eccFAM, smaREG] = asteroidsFamilies_Regions;

id    = round(id) - 11;
smaID = neo(id,1);
eccID = neo(id,2);
H     = neo(id,10); % --> absolute magnitude

% --> 1) DIAMETER
d     = neo(id,11);     % --> (km) diameter
nd    = double(d > 10); % --> greater than 10 km?

% --> 2) SPECTRAL TYPE
ns = sp(id);

% --> 3) REGION
nr = find(smaID > smaREG(:,1) & smaID < smaREG(:,2));

% --> 4) FAMILY
nf = find( smaID > smaFAM(:,1) & smaID < smaFAM(:,2) & ...
           eccID > eccFAM(:,1) & eccID < eccFAM(:,2) );
nf = length(nf); % --> number of families
       
end