function [minPATH, fval_p1, minFval_p2, minSol_p2, seq, output] = optimizePATH(minPATH, maxit, manAsts, vInf)

% --> extract info from path
if minPATH(end,1) < 11
    minPATH(end,:) = [];
end
seq      = minPATH(:,1)';
t0       = minPATH(1,2);
epochs   = minPATH(:,2)';
tofs     = diff(epochs);
fval_p1  = sum(minPATH(:,end));
multirev = findMultiRevOpts_firstLeg(minPATH);

fprintf( ' P1 cost : %f \n', fval_p1 );

% --> define lower/upper bounds
[LB, UB, nfbpl, nres] = generateLBUB(seq, t0, tofs, manAsts);

% --> define the cost function
y = @(x) transfer_AMB_GA(seq, x(1), x(2:length(seq)),...
   x(length(seq)+1:(length(seq))+nfbpl*3), x(length(seq)+nfbpl*3+1:end),...
   vInf, multirev);

fval_p2 = 1e99;
it      = 0;

sol_p2  = zeros(maxit, length(LB));
FVAL_P2 = zeros(maxit, 1);
while fval_p1 < fval_p2 && it <= maxit

    % --> optimization with GA
    optionsga = optGA();
    [sol_p2(it+1,:), fval_p2] = ga(@(x) y(x), nres, [], [], [], [], LB, UB, [], [], optionsga);
    close all; 

    FVAL_P2(it+1,1) = fval_p2;

    it = it + 1;

end
indxs = find(sol_p2(:,1) == 0);
FVAL_P2(indxs,:) = [];
sol_p2(indxs,:)  = [];

[minFval_p2, row] = min(FVAL_P2);
minSol_p2         = sol_p2(row,:);

fprintf( ' P2 cost : %f \n', minFval_p2 );

% --> define the cost function
options = [0 0 1 0 1];
[DVTotal, dv, output] = transfer_AMB_GA(seq, minSol_p2(1), minSol_p2(2:length(seq)),...
    minSol_p2(length(seq)+1:(length(seq))+nfbpl*3),...
        minSol_p2(length(seq)+nfbpl*3+1:end), vInf, multirev, options);
DVTotal

end
