function [STRUC] = path2StrucDYNAMIS(path, rpinKin)

if nargin == 1
    rpinKin = [NaN NaN];
end

% --> set up the variables
AU    = 149597870.7;
rcMIN = 1.8*AU;
rcMAX = 3.5*AU;

% --> find initial/arrival states and epochs
[stated, ~, epochs] = path2stated(path);

% --> for the given path, find the asteroids that are close-by
dtAMB  = zeros( size(stated,1),1 );
for inds = 1:size(stated,1)

    rr   = stated(inds,1:3);
    vv   = stated(inds,4:6);
    t0   = epochs(inds,1);
    tf   = epochs(inds,2);
    
    % --> find the time in the MAB
    dtAMB(inds,1) = time_AMB(rr, vv, rcMIN, rcMAX, (tf - t0)*86400);
    
end

STRUC.tDEP     = path( 1,8 );
STRUC.tIN      = NaN;
STRUC.vInfDep  = path( 1,9 );
STRUC.rpin     = rpinKin(1);
STRUC.kin      = rpinKin(2);
STRUC.tofAMB   = sum(dtAMB)*86400;
STRUC.incOUdeg = NaN;
STRUC.pl1      = path( 1,7 );
STRUC.pl2      = path( end,7 );
STRUC.revs     = NaN;
STRUC.epochs   = path( :,8 )';
STRUC.stated   = stated;
STRUC.seq      = path(:,7)';

end
