function [f1, f2] = plotCATABC_mass(CATABC)

kep = CATABC.kep;

% --> compute the mass of the catalogue
IDS  = [1:1:size(kep,1)]' + 11;
mass = zeros(size(IDS,1), 1);
TOC  = mass;
for inds = 1:size(IDS,1)
    tic
    mass(inds,:) = neoMass(IDS(inds));
    TOC(inds,:) = toc;
end

% --> plot histogram mass of the catalogue
f1 = figure('Color', [1 1 1]);
hold on; grid on;
histogram(log10(mass));
xlabel('Number of asteroids'); ylabel('Mass (logarithmic scale) - kg');

% --> plot mass of the catalogue w.r.t. sma
f2 = figure('Color', [1 1 1]);
hold on; grid on;
xlabel('Semi-major axis - AU'); ylabel('Mass (logarithmic scale) - kg');
plot(kep(:,1), log10(mass), ...
    'MarkerFaceColor',[0.800000011920929 0.800000011920929 0.800000011920929],...
    'MarkerEdgeColor',[0.800000011920929 0.800000011920929 0.800000011920929],...
    'MarkerSize',5,...
    'Marker','diamond',...
    'LineStyle','none',...
    'Color',[0.800000011920929 0.800000011920929 0.800000011920929], 'handlevisibility', 'off');
vline(2); vline(2.5); vline(2.8); vline(3.3); vline(3.7);

text('FontWeight','bold','Rotation',90,...
    'String','Hungaria',...
    'Position',[1.8 38.5 0]);

text('FontWeight','bold','Rotation',90,...
    'String','Inner Belt',...
    'Position',[2.25 38 1.4210854715202e-14]);

text('FontWeight','bold','Rotation',90,...
    'String','Middle Belt',...
    'Position',[2.65 38 1.4210854715202e-14]);

text('FontWeight','bold','Rotation',90,...
    'String','Outer Belt',...
    'Position',[3.1 38 1.4210854715202e-14]);

text('FontWeight','bold','Rotation',90,...
    'String','Cybele',...
    'Position',[3.5 38 1.4210854715202e-14]);

text('FontWeight','bold','Rotation',90,...
    'String','Hylda',...
    'Position',[3.97 38 1.4210854715202e-14]);

end
