function [SOLUTION] = postProcess_SOLUTION(SOLUTION, INPUT)

% --> post-process
for inds = 1:length(SOLUTION)
    SOLUTION(inds).Nasts    = SOLUTION(inds).Sol.Nasts;
    SOLUTION(inds).depEp    = SOLUTION(inds).epochs(1);
    SOLUTION(inds).bestDV   = SOLUTION(inds).Sol.cost_best_path;
    SOLUTION(inds).bestTOFy = SOLUTION(inds).Sol.tofy_best_path;
end

% --> sort w.r.t. the dep. epoch
depEp    = sortrows([[SOLUTION.depEp]' [1:length([SOLUTION.depEp]')]'], 1);
SOLUTION = SOLUTION(depEp(:,2));

% --> only if specified you remove those paths that do not have astMax asteroids
if isfield(INPUT, 'astMaxOpt')
    if INPUT.astMaxOpt == 0 || isempty(INPUT.astMaxOpt)
        % --> prune w.r.t. the number of asteroids reached
        nasts = [SOLUTION.Nasts]';
        indxs = find(nasts < INPUT.astMax);
        SOLUTION(indxs) = [];
    end
else
    % --> prune w.r.t. the number of asteroids reached
    nasts = [SOLUTION.Nasts]';
    indxs = find(nasts < INPUT.astMax);
    SOLUTION(indxs) = [];
end

end
