function [SEQS_ALL, EPOCHS_ALL] = processLEGS(LEGS, EPH)

PLS   = EPH(EPH(:,1) < 11, :);
nobjs = size(LEGS(:,2:2:end), 2) + size(PLS,1);

SEQS_ALL   = zeros(size(LEGS,1), nobjs);
EPOCHS_ALL = zeros(size(LEGS,1), nobjs);
for indl = 1:size(LEGS,1)

    LEGrow   = LEGS(indl,:);
    asts     = LEGrow(3:2:end);
    epochsAs = findTimes(asts, EPH(:,1:2));
    states   = findEPH(asts, EPH);
    ASTS     = [ [asts' epochsAs' ] states ];
    SEQ      = [ PLS; ASTS ];
    SEQ      = sortrows(SEQ,2);
    
    EPOCHS_ALL(indl,:) = SEQ(:,2)';  
    SEQS_ALL(indl,:)   = SEQ(:,1)';

end

end