function [OOUTPUT] = prune_SM(OUTPUT, INPUT)

SM_DV           = OUTPUT.SM_DV;
SM_VINFA_trip   = OUTPUT.SM_VINFA_trip;
SM_VINFA_coup   = OUTPUT.SM_VINFA_coup;

SM_ALPHA_trip   = OUTPUT.SM_ALPHA_trip;
SM_ALPHA_coup   = OUTPUT.SM_ALPHA_coup;

SM_MASS_trip = OUTPUT.SM_MASS_trip;
SM_MASS_coup = OUTPUT.SM_MASS_coup;

COUPLES         = OUTPUT.COUPLES;
MATpls          = OUTPUT.MATpls;
ind_to_del_vDep = OUTPUT.ind_to_del_vDep;

% --> prune w.r.t. the departing infinity velocity
ind_to_del_vDep(isnan(ind_to_del_vDep),:) = [];
indEarth = find(COUPLES(:,1) == 3 & COUPLES(:,2) == INPUT.epochs(1));

SM_DVp         = SM_DV;
SM_VINFAp_trip = SM_VINFA_trip;
SM_VINFAp_coup = SM_VINFA_coup;
SM_ALPHAp_trip = SM_ALPHA_trip;
SM_ALPHAp_coup = SM_ALPHA_coup;
SM_MASSp_trip  = SM_MASS_trip;
SM_MASSp_coup  = SM_MASS_coup;

SM_DVp(ind_to_del_vDep,:)         = 1e99;
SM_VINFAp_trip(ind_to_del_vDep,:) = 1e99;
SM_VINFAp_coup(ind_to_del_vDep,:) = 1e99;
SM_ALPHAp_trip(ind_to_del_vDep,:) = 1e99;
SM_ALPHAp_coup(ind_to_del_vDep,:) = 1e99;
SM_MASSp_trip(ind_to_del_vDep,:)  = NaN;
SM_MASSp_coup(ind_to_del_vDep,:)  = NaN;

% --> prune w.r.t. the asteroid-to-asteroid DV
for indc = 1:size(SM_DVp,1)

    indxs = find(indEarth == indc);

    if ~isempty(indxs)

        rowSM_DV = SM_DVp(indc,:);
        indcol   = find( rowSM_DV > INPUT.tols(1) + INPUT.tols(3) );
    
        SM_DVp(indc,indcol)         = 1e99;
        SM_VINFAp_trip(indc,indcol) = 1e99;
        SM_VINFAp_coup(indc,indcol) = 1e99;
        SM_ALPHAp_trip(indc,indcol) = 1e99;
        SM_ALPHAp_coup(indc,indcol) = 1e99;
        SM_MASSp_trip(indc,indcol) = NaN;
        SM_MASSp_coup(indc,indcol) = NaN;


    else

        rowSM_DV = SM_DVp(indc,:);
        indcol   = find( rowSM_DV > INPUT.tols(3) );

        SM_DVp(indc,indcol)         = 1e99;
        SM_VINFAp_trip(indc,indcol) = 1e99;
        SM_VINFAp_coup(indc,indcol) = 1e99;
        SM_ALPHAp_trip(indc,indcol) = 1e99;
        SM_ALPHAp_coup(indc,indcol) = 1e99;
        SM_MASSp_trip(indc,indcol) = NaN;
        SM_MASSp_coup(indc,indcol) = NaN;


    end
end

OOUTPUT.SM_DV           = SM_DV;
OOUTPUT.SM_VINFA_trip   = SM_VINFA_trip;
OOUTPUT.SM_VINFA_coup   = SM_VINFA_coup;

OOUTPUT.SM_ALPHA_trip   = SM_ALPHA_trip;
OOUTPUT.SM_ALPHA_coup   = SM_ALPHA_coup;

OOUTPUT.SM_MASS_trip   = SM_MASS_trip;
OOUTPUT.SM_MASS_coup   = SM_MASS_coup;

OOUTPUT.COUPLES         = COUPLES;
OOUTPUT.MATpls          = MATpls;
OOUTPUT.ind_to_del_vDep = ind_to_del_vDep;

OOUTPUT.SM_DVp         = SM_DVp;
OOUTPUT.SM_VINFAp_trip = SM_VINFAp_trip;
OOUTPUT.SM_VINFAp_coup = SM_VINFAp_coup;

OOUTPUT.SM_ALPHAp_trip = SM_ALPHAp_trip;
OOUTPUT.SM_ALPHAp_coup = SM_ALPHAp_coup;

OOUTPUT.SM_ALPHAp_trip = SM_MASSp_trip;
OOUTPUT.SM_ALPHAp_coup = SM_MASSp_coup;

end