function [STRUC_minDist] = wrapCloseAsteroids(SOLUTION_ref, astCata, inds)

AU = 149597870.7;

path   = SOLUTION_ref(inds).minPATH;
sol_p2 = SOLUTION_ref(inds).sol_p2;

multirev = findMultiRevOpts_firstLeg(path);
vInf     = 0;

% --> generate output and save the result
options = [0 0 1 0 1];
sol     = sol_p2;

seq   = path(:,1)';
nfbpl = length(seq(seq<11)) - 1;

% --> generate output 
[~, ~, output] = transfer_AMB_GA(seq, sol(1), sol(2:length(seq)),...
    sol(length(seq)+1:(length(seq))+nfbpl*3),...
    sol(length(seq)+nfbpl*3+1:end), vInf, multirev, options);

% --> compute the SC path
[yy, tt] = wrap_Dist_SunSC_Opt(seq, output, sol);

% --> compute the distance between the SC and all the other asteroids
STRUC = struct('minDist', [], 'MAT', [], 'EPH', []);
parfor indA = 1:length(astCata)
    tic
    [STRUC(indA)] = wrap_MOID(astCata, indA, yy, tt);
    toc    
end
minDist = cell2mat({STRUC.minDist}');
MAT     = cell2mat({STRUC.MAT}');
EPH     = cell2mat({STRUC.EPH}');

minDist = [minDist [1:size(minDist,1)]'];
minDist = sortrows(minDist,1);
indsort = minDist(:,2);
MAT     = MAT(indsort,:);
EPH     = EPH(indsort,:);

minDist(:,2) = astCata(indsort)';

astsSeq = seq(seq >= 11);

indxs = zeros(length(astsSeq),1);
for indass = 1:length(astsSeq)
    indxs(indass,1) = find(minDist(:,2) == astsSeq(indass));
end
minDist(indxs,:) = [];
minDist(:,3)     = minDist(:,1).*AU;
MAT(indxs,:)     = [];
EPH(indxs,:)     = [];

STRUC_minDist.minDist = minDist;
STRUC_minDist.MAT     = MAT;
STRUC_minDist.EPH     = EPH;

end