function [STRUC] = wrapPath(path)

mu = 132712440018;

STRUC = struct('pl1', [], 'pl2', [], 't1', [], 't2', [], 'tof', [],...
    'initialState', [], 'finalState', [], 'dv', [], 'accel', []);
for ii  = 1:size(path,1)-1
    
    pl1 = path(ii,1);
    pl2 = path(ii+1,1);
    t1  = path(ii,2);
    t2  = path(ii+1,2);

    [r1, v1] = EphSS_car_m(pl1, t1);
    [r2, v2] = EphSS_car_m(pl2, t2);

    [~,~,~,~,VI,VF] = lambertMR(r1, r2,(t2 - t1)*86400, mu, 0, 0, 0);
    
    if ii == 1
        dv = norm(VI - v1);
    else
        if pl1 == 4
            dv = find_DV_defect(STRUC(ii-1).finalState(4:6)' - v1, VI - v1, 4);
        else
            dv = norm(VI - STRUC(ii-1).finalState(4:6)');
        end
    end
    
    STRUC(ii).pl1          = pl1;
    STRUC(ii).pl2          = pl2;
    STRUC(ii).t1           = t1;
    STRUC(ii).t2           = t2;
    STRUC(ii).tof          = t2 - t1;
    STRUC(ii).initialState = [r1 VI]';
    STRUC(ii).finalState   = [r2 VF]';
    STRUC(ii).dv           = dv;
    STRUC(ii).accel        = dv./((t2 - t1)*86400);

end


end