function [YY, TT, tofs, rrs, vvs] = wrap_Dist_SunSC_Opt(seq, output, sol)

try
    ephNEO('load','ephNEO_CATABC.txt');
catch
end

mu        = 132712440018; 

leg       = output.leg;
nfbpl     = length(seq(seq < 11)) - 1;
alphaasts = sol(length(seq)+nfbpl*3+1:end);
alasts    = norm(alphaasts);
t0        = sol(1);

YY = [];
TT = [];
for indl = 1:length(leg)

    if indl == 1
        
        rr1 = leg(indl).part.x1;
        vv1 = leg(indl).part.v1;
        
        t1 = leg(indl).part.t1;
        t2 = leg(indl).part.t2;
        
        tof    = t2 - t1;
        tt     = linspace(0, tof, 25).*86400;
        [~,yy] = propagateKepler(rr1, vv1, tt, mu);
                
        YY   = [YY; yy];
        TT   = [TT; tt'];
        tend = TT(end);
        
    else
        
        rr1 = leg(indl).part(1).x1;
        vv1 = leg(indl).part(1).v1;
        t1  = leg(indl).part(1).t1;
        t2  = leg(indl).part(1).t2;

        tof     = t2 - t1;
        tt      = linspace(0, tof, 25).*86400;
        [tt,yy] = propagateKepler(rr1, vv1, tt, mu);

        YY   = [YY; yy];
        TT   = [TT; tend+tt];
        tend = TT(end);
                
        if leg(indl).part(1).body1 >= 11
        
            if alasts ~= 0
                
                rr1 = leg(indl).part(2).x1;
                vv1 = leg(indl).part(2).v1;
                t1  = leg(indl).part(2).t1;
                t2  = leg(indl).part(2).t2;

                tof = t2 - t1;
                tt  = linspace(0, tof, 25).*86400;
                [tt,yy] = propagateKepler(rr1, vv1, tt, mu);
                
                YY   = [YY; yy];
                TT   = [TT; tend+tt];
                tend = TT(end);

            end
        
        else
            
            rr1 = leg(indl).part(2).x1;
            vv1 = leg(indl).part(2).v1;
            t1  = leg(indl).part(2).t1;
            t2  = leg(indl).part(2).t2;

            tof     = t2 - t1;
            tt      = linspace(0, tof, 25).*86400;
            [tt,yy] = propagateKepler(rr1, vv1, tt, mu);
          
            YY   = [YY; yy];
            TT   = [TT; tend+tt];
            tend = TT(end);
                        
        end
        
    end
        
end

tofs = TT;
TT   = t0 + TT./86400;

rrs = vecnorm(YY(:,1:3)')';
vvs = vecnorm(YY(:,4:6)')';

end