function [dryMass] = wrap_DryMass_A62(DV)

% Ariane 62 Performance data
SoyuzC3Performance = [0 2180;...
                      5 1900;...
                      7 1800;...
                      9 1700;...
                   11.5 1600;...
                     16 1400;...
                     20 1250;...
                     24 1100;...
                     25 1075];

MassAdapter             = 80; 
SoyuzC3Performance(:,2) = SoyuzC3Performance(:,2) - MassAdapter;
Factor                  = 1.5;
A62C3Performance        = [SoyuzC3Performance(:,1) Factor*SoyuzC3Performance(:,2)];

if DV <= 5
    dryMass = interp1(sqrt(A62C3Performance(:,1)),A62C3Performance(:,2),DV);
    % There is a problem in the above, but now the list has been
    % created so I keep with the same.
else
    DV         = DV - 5;
    WetMassDep = A62C3Performance(end,2);
    ve         = 320*9.81;
    dryMass    = WetMassDep*exp(-DV*1000/ve);
end

end