function [STRUC] = wrap_MOID(astCata, indA, yy, tt)

try
    ephNEO('load','ephNEO_CATABC.txt');
catch
end

% --> constants
AU = 149597870.7;

indexAsteroid = astCata(indA);

rra  = zeros(length(tt), 3);
vva  = zeros(length(tt), 3);
dist = zeros(length(tt), 1);

for indt = 1:length(tt)
    [rra(indt,:), vva(indt,:)] = EphSS_car(indexAsteroid, tt(indt));
    dist(indt,:)               = norm(yy(indt,1:3) - rra(indt,:));
end

[STRUC.minDist, row] = min(dist);

STRUC.minDist        = STRUC.minDist / AU;
STRUC.MAT            = [ indexAsteroid 0 0 tt(row) ];
STRUC.EPH            = [rra(row,:) vva(row,:)];


end