function STRUC = wrap_MOID_PAU(astCata, indA, kep, param)

try
    ephNEO('load','ephNEO_CATABC.txt');
catch
end

AU = 149597870.7;

indexAsteroid            = astCata(indA);
Ast1                     = ephSS_kep(indexAsteroid, 0);
Ast1(1)                  = Ast1(1)/AU;
[MOIDGuess1, MOIDGuess2] = PhD_MOIDapproxBonnano3(kep, Ast1);
if min([MOIDGuess1, MOIDGuess2]) < 1.5*param.MOIDThreshold
    [MOID, E1, E2] = MOIDMilisavljevic_mex(kep, Ast1);
    [MOID,indE]    = min(MOID);
    MOID_vector    = MOID;
    E1_vector      = E1(indE);
    E2_vector      = E2(indE);
else
    MOID_vector = min([MOIDGuess1,MOIDGuess2]);
end

STRUC.MOID_vector = MOID_vector;
STRUC.E1_vector   = E1_vector;
STRUC.E2_vector   = E2_vector;

end