function [STRUC] = wrap_MOID_Search(t0, TOF, MOIDThreshold, MaxMissionDuration, vinfLim, OptionsMultiRev)

try 
    ephNEO('load','ephNEO_CATABC.txt');
catch
end

ticMOID = tic;

[~, ~, ~, KepBase] = Transfer_CASTAway_marsSW_rA_A62( t0,  TOF, vinfLim, OptionsMultiRev);

nAst     = 101993;
KepBase1 = KepBase(1,1:6);

tW       = [KepBase(1,7) KepBase(2,7)];
FlagType = 1; % [3 Ast 4]

% --> search for asteroids in the E - M leg
MatrixSummary_B1 = MatrixMenu_Search_DirectShot_A62Sp(KepBase1, nAst, MOIDThreshold, tW, FlagType);

KepBase2 = KepBase(2,1:6);
tW       = [KepBase(2,7) KepBase(1,7)+MaxMissionDuration*365.25 KepBase(1,7)];
FlagType = 2;

% --> search for asteroids in the M - AMB leg
MatrixSummary_B2 = MatrixMenu_Search_DirectShot_A62Sp(KepBase2, nAst, MOIDThreshold, tW, FlagType);

MatrixSummary_BC = [MatrixSummary_B1; MatrixSummary_B2];
tE               = KepBase(1,7);
tM               = KepBase(2,7);

STRUC.MatrixSummary_BC = MatrixSummary_BC;
STRUC.tE               = tE;
STRUC.tM               = tM;
STRUC.tocMOID          = toc(ticMOID);
STRUC.SOL              = [];

end
