function [STRUC] = wrap_MOID_Search_vA(struc)

try 
    ephNEO('load','ephNEO_CATABC.txt');
catch
end

MaxMissionDuration = struc.maxDur;
MOIDThreshold      = struc.MOIDThreshold;
flyby              = [struc.rpin struc.kin];
[~, KepBase]       = Transfer_CASTAway_marsSW_vA( struc );

ticMOID = tic;

nAst     = 101993;
KepBase1 = KepBase(1,1:6);

% --> search for asteroids in the E - M leg
tW               = [KepBase(1,7) KepBase(2,7)];
FlagType         = 1; % [3 Ast 4]
MatrixSummary_B1 = MatrixMenu_Search_DirectShot_A62Sp(KepBase1, nAst, MOIDThreshold, tW, FlagType, flyby);

% --> search for asteroids in the M - AMB leg
KepBase2         = KepBase(2,1:6);
tW               = [KepBase(2,7) KepBase(1,7)+MaxMissionDuration KepBase(1,7)];
FlagType         = 2;
MatrixSummary_B2 = MatrixMenu_Search_DirectShot_A62Sp(KepBase2, nAst, MOIDThreshold, tW, FlagType, flyby);

MatrixSummary_BC = [MatrixSummary_B1; MatrixSummary_B2];
tE               = KepBase(1,7);
tM               = KepBase(2,7);

STRUC.MatrixSummary_BC = MatrixSummary_BC;
STRUC.tE               = tE;
STRUC.tM               = tM;
STRUC.tocMOID          = toc(ticMOID);
STRUC.struc            = struc;
STRUC.SOL              = [];

end